// See the README (https://github.com/madrobby/microjs.com#readme) for details about how
// to use this file.
// Make sure you run 'make compile' to check that your library doesn't come up with
// warnings or errors. It would also be appreciated if you could check any versioned
// libraries to see if they have new releases.
// As per the README, the source should be a link to your unminified, raw, source. It can
// also be just the raw JS if it's small enough, an array of source files or a ZIP file.
// See examples below.

module.exports = [
  {
    name: "store",
    github: "nbubna/store",
    tags: ["localStorage", "sessionStorage", "JSON", "namespace", "API", "extensible"],
    description: "A better API for using localStorage and sessionStorage.",
    url: "https://github.com/nbubna/store",
    source: "https://raw.github.com/nbubna/store/master/dist/store2.js"
  },
  {
    name: "Oboe.js",
    github: "jimhigson/oboe.js",
    tags: ["ajax", "streaming", "download", "json", "parser", "sax", "jsonpath", "http"],
    description: "Library for progressive parsing of ajax responses. Provides notification of objects found without waiting for the request to complete.",
    url: "https://github.com/jimhigson/oboe.js",
    source: "https://raw.github.com/jimhigson/oboe.js/master/dist/oboe.js"
  },
  {
    name: "attach.js",
    github: "nicbell/attach.js",
    tags: ["dom", "instantiation", "attach", "javascript"],
    description: "A DOM instantiation API designed to tidy up and encapsulate attaching JavaScript to the page.",
    url: "http://nicbell.github.io/attach.js/",
    source: "https://raw.github.com/nicbell/attach.js/master/attach.js"
  },
  {
    name: "loglevel",
    github: "pimterry/loglevel",
    tags: ["log", "logging", "console"],
    description: "Minimal lightweight logging for JavaScript, adding reliable log level methods to wrap any available console.log methods",
    url: "https://github.com/pimterry/loglevel",
    source: "https://raw.github.com/pimterry/loglevel/master/dist/loglevel.js"
  },
  {
    name: "goo.js",
    github: "johnrobinsn/goo.js",
    tags: ["HTML5", "canvas"],
    description: "Microlibrary that makes it quick and easy to draw using the HTML5 Canvas API/",
    url: "http://www.storminthecastle.com/projects/goo.js/",
    source: "https://raw.github.com/johnrobinsn/goo.js/master/src/goo.js"
  },
  {
    name: "Satnav",
    github: "f5io/satnav-js",
    tags: ["routing", "micro", "hashchange", "pushState"],
    description: "A micro (~1.5kb gzipped) JS routing library. Satnav provides functionality for Regex-like paths in JavaScript.",
    url: "https://github.com/f5io/satnav-js",
    source: "https://raw.github.com/f5io/satnav-js/master/lib/satnav.js"
  },
  {
    name: "mediahack.js",
    github: "pomke/mediahack",
    tags: ["mediaquery", "mediaqueries", "css3", "css", "media"],
    description: "Add media-query classes to DOM nodes",
    url: "https://github.com/pomke/mediahack",
    source: "https://raw.github.com/pomke/mediahack/master/mediahack.js"
  },
  {
    name: "sawkit-client",
    github: "cScarlson/sawkit-client",
    tags: ["websocket", "socket", "HTML5", "custom", "events", "emit", "emission", "on", "jquery"],
    description: "A non-intrusive Facade Pattern on the HTML5 WebSocket API which allows for: custom event-emissions, custom event-listeners, and binary sending - all in a chainable, jQuery-LIKE way.",
    url: "https://github.com/cScarlson/sawkit-client",
    source: "https://raw.github.com/cScarlson/sawkit-client/master/$ws.js"
  },
  {
    name: "SDB.js",
    github: "cScarlson/SDB",
    tags: ["IndexedDB", "database", "object", "store", "localStorage"],
    description: "A Facade Pattern on the HTML5 IndexedDB API.",
    url: "https://github.com/cScarlson/SDB",
    source: "https://raw.github.com/cScarlson/SDB/master/SDB.js"
  },
  {
    name: "Miniscroll.js",
    github: "rogerluiz/Miniscroll-JS",
    tags: ["scrollbar", "touch", "desktop", "scroll"],
    description: "A simple scrollbar for desktop and mobile application using javascript. ",
    url: "https://github.com/rogerluiz/Miniscroll-JS",
    source: "https://raw.github.com/rogerluiz/Miniscroll-JS/master/miniscroll.js"
  },
  {
    name: "remove.js",
    github: "scrapmac/snippets",
    tags: ["string", "remove", "cleanup", "redundant", "gibberish", "trim"],
    description: "Small but powerful string cleanup and reduction library.",
    url: "https://github.com/scrapmac/snippets/tree/master/remove.js",
    source: "https://raw.github.com/scrapmac/snippets/master/remove.js/remove.js"
  },
  {
    name: "ImageFlip.js",
    github: "erf/ImageFlip.js",
    tags: ["slideshow", "images", "gallery", "collage"],
    description: "Minimalistic slideshow library.",
    url: "https://github.com/erf/ImageFlip.js",
    source: "https://raw.github.com/erf/ImageFlip.js/master/imageflip.js"
  },
  {
    name: "safemap.js",
    github: "philbooth/safemap.js",
    tags: ["map", "dictionary", "associative array", "data structure"],
    description: "A tiny, safe, ES3-compliant map/dictionary implementation.",
    url: "https://github.com/philbooth/safemap.js",
    source: "https://raw.github.com/philbooth/safemap.js/master/src/safemap.js"
  },
  {
    name: "OneDollar.js",
    github: "voidplus/onedollar-coffeescript",
    tags: ["gesture", "recognition", "recognizer", "multitouch", "interactive", "input", "jquery"],
    description: "A JavaScript implementation of the &dollar;1 Gesture Recognizer, a two-dimensional template based gesture recognition",
    url: "https://github.com/voidplus/onedollar-coffeescript",
    source: "https://raw.github.com/voidplus/onedollar-coffeescript/master/lib/onedollar.js"
  },
  {
    name: "LocalDB.js",
    github: "Agnostic/LocalDB.js",
    tags: ["nosql", "ODM", "mongo", "json", "database", "web applications", "localStorage"],
    description: "LocalDB.js is a tool that maps the structure of the databases in objects using the localStorage API, no database drivers are required, just add the library and use it!",
    url: "http://agnostic.github.io/LocalDB.js",
    source: "https://raw.github.com/Agnostic/LocalDB.js/master/src/LocalDB.js"
  },
  {
    name: "Countable",
    github: "RadLikeWhoa/Countable",
    tags: ["paragraphs", "words", "characters", "counting", "live", "text"],
    description: "Countable is a JavaScript function to add live paragraph-, word- and character-counting to an HTML element.",
    url: "http://radlikewhoa.github.io/Countable",
    source: "https://raw.github.com/RadLikeWhoa/Countable/master/Countable.js"
  },
  {
    name: "iugo.js",
    github: "chrismichaelscott/iugo",
    tags: ["MVVC", "data binding", "template"],
    description: "An extremely lightweight one-way data-binding tool without the bloat of a full framework. Makes separating markup from content easy.",
    url: "http://iugojs.com",
    source: "https://raw.github.com/chrismichaelscott/iugo/master/iugo.js"
  },
  {
    name: "Colors.js",
    github: "mbjordan/Colors",
    tags: ["color", "color manipulation"],
    description: "Colors.js is an easy to use color-manipulation library that is lightweight and very functional.",
    url: "http://mbjordan.github.io/Colors/",
    source: "https://raw.github.com/mbjordan/Colors/master/colors.js"
  },
  {
    name: "css-time.js",
    github: "philbooth/css-time.js",
    tags: ["css", "time", "string", "milliseconds", "convert", "conversion"],
    description: "A tiny library that converts milliseconds to and from CSS time strings.",
    url: "https://github.com/philbooth/css-time.js",
    source: "https://raw.github.com/philbooth/css-time.js/master/src/css-time.js"
  },
  {
    name: "accounting.js",
    github: "josscrowcroft/accounting.js",
    tags: ["math", "number", "money", "currency parsing", "currency formatting"],
    description: "A lightweight JavaScript library for number, money and currency formatting - fully localisable, zero dependencies.",
    url: "http://josscrowcroft.github.io/accounting.js/",
    source: "https://raw.github.com/josscrowcroft/accounting.js/master/accounting.js"
  },
  {
    name: "sloth.js",
    github: "hakubo/Sloth",
    tags: ["lazy", "initialize", "viewport", "amd", "library", "scroll"],
    description: "Lazy initialize components of a webpage when they become visible",
    url: "https://github.com/hakubo/Sloth",
    source: "https://raw.github.com/hakubo/Sloth/master/sloth.max.js"
  },
  /* gone ?
  {
    name: "fx.js",
    github: "agilemd/Fx",
    tags: ["animation", "animate", "CSS", "CSS3", "requestanimationframe", "animationframe", "transform", "hardware", "translate", "scale"],
    description: "A tiny, high performance, fully cross browser, dependency free animation library for the modern web.",
    url: "https://github.com/agilemd/Fx",
    source: "https://raw.github.com/agilemd/Fx/master/src/fx.js"
  },
  */
  {
    name: "zoe.js",
    github: "zestjs/zoe",
    tags: ["class", "inheritance", "events", "extend", "amd", "prototype", "prototypal"],
    description: "An AMD-compatible natural extension-based class and event model, fully compatible with prototypal inheritance.",
    url: "http://zoejs.org",
    source: "https://raw.github.com/zestjs/zoe/master/zoe.js"
  },
  {
    name: "atom.js",
    github: "zynga/atom",
    tags: ["async", "barrier", "control", "events", "flow", "properties"],
    description: "Small class providing async control flow, property listeners, barrier pattern, and more. For node and browser.",
    url: "https://github.com/zynga/atom",
    source: "https://raw.github.com/zynga/atom/master/atom.js"
  },
  /* dist dir replaced with complex, versioned zip, will reenable after pull-request
  {
    name: "alertify.js",
    github: "fabien-d/alertify.js",
    tags: ["notification", "alert"],
    description: "JavaScript Alert/Notification System.",
    url: "https://github.com/fabien-d/alertify.js",
    source: "https://raw.github.com/fabien-d/alertify.js/master/dist/alertify.js"
  },
  */
  /* gzipped file too big, 7.4 kB is not "micro"
  {
    name: "svg.js",
    github: "wout/svg.js",
    tags: ["svg", "vector", "graphics"],
    description: "A lightweight library for manipulating SVG.",
    url: "https://github.com/wout/svg.js",
    source: "https://raw.github.com/wout/svg.js/master/dist/svg.js"
  },
  */
  {
    name: "isMobile",
    github: "kaimallea/isMobile",
    tags: ["mobile", "mobile device", "tablet"],
    description: "A simple JS library that detects if the device visiting the page is an Apple phones/tablet, Android phone/tablet, or a seven inch device (Nexus 7, Kindle Fire, Nook Tablet, Galaxy Tab)",
    url: "https://github.com/kaimallea/isMobile",
    source: "https://raw.github.com/kaimallea/isMobile/master/isMobile.js"
  },
  {
    name: "spooks.js",
    github: "philbooth/spooks.js",
    tags: ["unit test", "spy", "spies", "mock", "fake", "dummy", "double", "stub"],
    description: "A small library for creating unit test spies.",
    url: "https://github.com/philbooth/spooks.js",
    source: "https://raw.github.com/philbooth/spooks.js/master/src/spooks.js"
  },
  {
    name: "Respond.js",
    github: "scottjehl/Respond",
    tags: ["polyfill", "min-width", "max-width", "Media Queries", "CSS3"],
    description: "A fast & lightweight polyfill for min/max-width CSS3 Media Queries (for IE 6-8, and more).",
    url: "https://github.com/scottjehl/Respond",
    source: "https://raw.github.com/scottjehl/Respond/master/respond.src.js"
  },
 {
    name: "miuri.js",
    github: "radmen/miuri.js",
    tags: ["client", "server", "util", "parser", "uri"],
    description: "Simple URI parser/builder",
    url: "https://github.com/radmen/miuri.js",
    source: "https://raw.github.com/radmen/miuri.js/master/lib/miuri.js"
 },
 {
    name: "Chibi",
    github: "kylebarrow/chibi",
    tags: ["chibi", "framework"],
    description: "A tiny JavaScript micro-framework.",
    url: "https://github.com/kylebarrow/chibi",
    source: "https://raw.github.com/kylebarrow/chibi/master/chibi.js"
  },
  {
    name: "check-types.js",
    github: "philbooth/check-types.js",
    tags: ["types", "type-checking", "duck-typing"],
    description: "A small library for checking types and throwing exceptions.",
    url: "https://github.com/philbooth/check-types.js",
    source: "https://raw.github.com/philbooth/check-types.js/master/src/check-types.js"
  },
  {
    name: "lexer",
    github: "aaditmshah/lexer",
    tags: ["lexer"],
    description: "An elegant armor-plated JavaScript lexer modelled after flex. Easily extensible to tailor to your need for perfection.",
    url: "https://github.com/aaditmshah/lexer",
    source: "https://raw.github.com/aaditmshah/lexer/master/lib/lexer.js"
  },
  {
    name: "kebab.js",
    github: "thlorenz/kebab",
    tags: [ "pubsub", "queue" ],
    description: "Half queue half pubsub. Super small and simple queue that supports subscribers",
    url: "https://github.com/thlorenz/kebab",
    source: "https://raw.github.com/thlorenz/kebab/master/kebab.js"
  },
  {
    name: "infuse.js",
    github: "soundstep/infuse.js",
    tags: ["ioc", "di", "injection", "dependency", "framework"],
    description: "IOC library to handle dependency injection",
    url: "https://github.com/soundstep/infuse.js",
    source: "https://raw.github.com/soundstep/infuse.js/master/src/infuse.js"
  },
  {
    name: "css.js",
    github: "radmen/css.js",
    tags: ["util", "css", "client", "browser"],
    description: "Handles dynamic style sheets",
    url: "https://github.com/radmen/css.js",
    source: "https://raw.github.com/radmen/css.js/master/css.js"
  },
  /* disappeared
  {
    name: "compare.js",
    github: "goloroden/compare.js",
    tags: ["compare"],
    description: "compare.js implements JavaScript's comparison operators for Node.js and the browser the way you would expect them to be.",
    url: "https://github.com/goloroden/compare.js",
    source: "https://raw.github.com/goloroden/compare.js/master/bin/compare.js"
  },
  */
  {
    name: "vagueTime.js",
    github: "philbooth/vagueTime.js",
    tags: ["time", "date"],
    description: "formats time differences as a vague time, e.g. 'just now' or '3 weeks ago'",
    url: "https://github.com/philbooth/vagueTime.js",
    source: "https://raw.github.com/philbooth/vagueTime.js/master/src/vagueTime.js"
  },
  {
    name: "disTime.js",
    github: "SimonWaldherr/disTime.js",
    tags: ["time", "date", "dates", "times", "language", "ago"],
    description: "converts and updates UNIX-Timestamps to strings like \"5 days ago\" in six languages (en, de, it, es, fr, pt)",
    url: "https://github.com/SimonWaldherr/disTime.js",
    source: "https://raw.github.com/SimonWaldherr/disTime.js/master/disTime.js"
  },
  {
    name: "parseTime.js",
    github: "SimonWaldherr/parseTime.js",
    tags: ["time", "date", "dates", "times", "language", "parse", "strings"],
    description: "convert strings like \"five days ago\" to an integer (with time in milliseconds) in three languages (en, de, pt)",
    url: "https://github.com/SimonWaldherr/parseTime.js",
    source: "https://raw.github.com/SimonWaldherr/parseTime.js/master/parseTime.js"
  },
  {
    name: "is.js",
    github: "Cedriking/is.js",
    tags: ["condition", "validate"],
    description: "Micro javascript library that allows you to do conditions faster.",
    url: "https://github.com/Cedriking/is.js",
    source: "https://raw.github.com/Cedriking/is.js/master/is.js"
  },
  {
    name: "bitarray.js",
    github: "madrobby/bitarray.js",
    tags: ["data"],
    description: "simple bit fields and arrays with pure JavaScript",
    url: "http://github.com/madrobby/bitarray.js",
    source: "https://raw.github.com/madrobby/bitarray.js/master/bitarray.js"
  },
  /* no longer micro
  {
    name: "Qatrix",
    github: "qatrix/Qatrix",
    tags: ["framework"],
    description: "A lightweight JavaScript framework for easily building up high performance web application with less code",
    url: "http://qatrix.com",
    source: "http://qatrix.com/files/qatrix-1.0.2"
  },
  */
  {
    name: "Smoothie Charts",
    github: "joewalnes/smoothie",
    tags: ["canvas", "charts", "graphs"],
    description: "Smooooooth JavaScript charts for realtime streaming data",
    url: "http://smoothiecharts.org/",
    source: "https://raw.github.com/joewalnes/smoothie/master/smoothie.js"
  },
  {
    name: "DOMinate",
    github: "adius/DOMinate",
    tags: ["dom-builder", "dom", "templating"],
    description: "DOMinate the DOM with this simple, yet powerful DOM building utility and template engine.",
    url: "https://github.com/adius/DOMinate/",
    source: "https://raw.github.com/adius/DOMinate/master/src/dominate.js"
  },
  {
    name: "soma.js",
    github: "somajs/somajs",
    tags: ["framework", "mvc", "events", "command", "observer"],
    description: "Javascript mvc framework that help developers write loosely-coupled applications to increase scalability and maintainability.",
    url: "http://somajs.github.io/somajs/",
    source: "https://raw.github.com/somajs/somajs/master/build/soma.js"
  },
  {
    name: "Minion",
    tags: ["class", "inheritance", "namespace", "dependencies", "pubsub", "notifications"],
    description: "Cross-platform & cross-browser classical inheritance in JavaScript",
    url: "https://github.com/gigafied/minion",
    source: "https://raw.github.com/gigafied/minion/master/dist/minion-latest.js"
  },
  {
    name: "Panzer",
    tags: ["data"],
    description: "A comprehensive node-tree solution, for smart data",
    url: "https://github.com/bemson/Panzer",
    source: "https://raw.github.com/bemson/Panzer/master/src/panzer.js"
  },
  {
    name: "one-color",
    tags: ["color"],
    description: "Browser/node color library. Implicit color space conversions, chainable channel methods and CSS convenience methods. RGB, HSV, HSL, CMYK with alpha channel",
    url: "https://github.com/One-com/one-color",
    source: "https://raw.github.com/One-com/one-color/master/one-color-debug.js"
  },
  /* gzipped file too big, 5.9 kB is not "micro"
  {
    name: "Validation",
    tags: ["validation", "testing"],
    description: "Browser/node validation library. Functions available. Regex fragments available. Validates: url, email, domain, TLD, uuid, ipv4 and more.",
    url: "https://github.com/One-com/one-validation",
    source: "https://raw.github.com/One-com/one-validation/master/validation.js"
  },
  */
  {
    name: "Histogram",
    tags: ["canvas", "color"],
    description: "Provides a histogram data structure from a PNG/JPEG/GIF image path. NodeJS, AMD module and vanilla JS support",
    url: "https://github.com/Munter/node-histogram",
    source: "https://raw.github.com/Munter/node-histogram/master/lib/index.js"
  },
  {
    name: "Simplify.js",
    tags: ["math", "geometry", "simplification", "polyline"],
    description: "A tiny high-performance JavaScript 2D/3D polyline simplification library.",
    url: "http://mourner.github.io/simplify-js/",
    source: "https://raw.github.com/mourner/simplify-js/master/simplify.js"
  },
  {
    name: "TinyDOM",
    tags: ["dom"],
    description: "A very small DOM manipulation framework",
    url: "https://github.com/ctult/TinyDOM",
    source: "https://raw.github.com/ctult/TinyDOM/master/tinyDOM.js"
  },
  {
    name: "DOMpteur",
    github: "SimonWaldherr/DOMpteur",
    tags: ["dom", "ready", "html", "getElement", "selector"],
    description: "play with the Document Object Model (DOM) tree - change and insert Elements.",
    url: "https://github.com/SimonWaldherr/DOMpteur",
    source: "https://raw.github.com/SimonWaldherr/DOMpteur/master/DOMpteur.js"
  },
  {
    name: "cssFx",
    tags: ["css", "css3", "polyfill"],
    description: "Standalone polyfill that inserts the vendor-specific CSS3 properties necessary for old and new browsers.",
    url: "http://imsky.github.io/cssFx/",
    source: "https://raw.github.com/imsky/cssFx/master/cssfx.js"
  },
  {
    name: "shorttag.js",
    tags: ["templating"],
    description: "templating engine for node and browser.",
    url: "https://github.com/jeromeetienne/shorttag.js",
    source: "https://raw.github.com/jeromeetienne/shorttag.js/master/lib/shorttag.js"
  },
  {
    name: "microcache.js",
    tags: ["data", "storage", "cache"],
    description: "in-memory cache for node and browser.",
    url: "https://github.com/jeromeetienne/microcache.js",
    source: "https://raw.github.com/jeromeetienne/MicroCache.js/master/microcache.js"
  },
  {
    name: "microevent.js",
    tags: ["events", "node"],
    description: "event emitter for any javascript object for node and browser.",
    url: "https://github.com/jeromeetienne/microevent.js",
    source: "https://raw.github.com/jeromeetienne/microevent.js/master/microevent.js"
  },
  {
    name: "dropinrequire.js",
    tags: ["loader", "commonjs", "require", "node"],
    description: "dropin replacement for require() in browser.",
    url: "http://jeromeetienne.github.io/dropinrequire.js/",
    source: "https://raw.github.com/jeromeetienne/dropinrequire.js/master/dropin_require.js"
  },
  {
    name: "gowiththeflow.js",
    tags: ["functional", "async", "defered"],
    description: "Async flow control micro library for node and browser.",
    url: "https://github.com/jeromeetienne/gowiththeflow.js",
    source: "https://raw.github.com/jeromeetienne/gowiththeflow.js/master/gowiththeflow.js"
  },
  {
    name: "creatorpattern.js",
    tags: ["pattern", "creator", "node", "browser"],
    description: "Micro library to easily add the creator pattern to your class.",
    url: "https://github.com/jeromeetienne/creatorpattern.js",
    source: "https://raw.github.com/jeromeetienne/creatorpattern.js/master/creatorpattern.js"
  },
  /* Too big, 5.5kb
  {
    name: "Prevel Framework",
    tags: ["dom", "ajax", "events", "css"],
    description: "All-purpose development tool (CSS query selector, DOM, Ajax, etc).",
    url: "https://github.com/chernikovalexey/Prevel",
    source: "https://raw.github.com/chernikovalexey/Prevel/master/prevel-full.js"
  },
  */
  {
    name: "genData",
    tags: ["data"],
    description: "A normalization pattern to build, query, and manipulate everything.",
    url: "https://github.com/bemson/genData/",
    source: "https://raw.github.com/bemson/genData/master/src/gendata.js"
  },
  {
    name: "GSet",
    tags: ["data", "compose"],
    description: "Share and control public proxies of private objects, with same-name getter/setters.",
    url: "https://github.com/bemson/GSet/",
    source: "https://raw.github.com/bemson/GSet/master/src/gset.js"
  },
  {
    name: "Slang",
    tags: ["string", "functional", "language"],
    description: "A collection of utility functions for strings",
    url: "https://github.com/devongovett/slang",
    source: "https://raw.github.com/devongovett/slang/master/slang.js"
  },
  {
    name: "Backbone",
    github: "jashkenas/backbone",
    tags: ["mvc", "data", "functional"],
    description: "Lightweight MVC—models with custom events, collections with rich enumerables, views and RESTful JSON.",
    url: "http://backbonejs.org/",
    source: "http://backbonejs.org/backbone.js"
  },
  {
    name: "$dom",
    tags: ["dom", "events", "animation"],
    description: "Selecting, styling, traversing and animating DOM elements.",
    url: "https://github.com/julienw/dollardom",
    source: "https://raw.github.com/julienw/dollardom/master/src/dollardom.js"
  },
  {
    name: "DOMBrew",
    tags: ["dom", "dom-builder"],
    description: "Clean API high performance DOM builder",
    url: "https://github.com/glebm/DOMBrew",
    source: "https://raw.github.com/glebm/DOMBrew/master/dombrew.js"
  },
  {
    name: "HEX/RGB",
    tags: ["color"],
    description: "Two way color conversion for Hexadecimal and RGB integer colors",
    url: "https://github.com/daniellmb/HEX-RGB-Conversion",
    source: "https://raw.github.com/daniellmb/HEX-RGB-Conversion/master/hex-rgb.src.js",
    tinyminify: true // this source has a ton of comments so the minified version is tiny compared to raw, so
                     // we overrule the sanity-check that compares the sizes and would otherwise reject this
  },
  {
    name: "server2.js",
    tags: ["server", "pubsub", "events", "base"],
    description: "Transfer data objects from server to javascript on page load",
    url: "https://github.com/thanpolas/server2js",
    source: ["https://raw.github.com/thanpolas/server2js/master/src/server2.js",
             "https://raw.github.com/thanpolas/server2js/master/src/server2js.export.js",
             "https://raw.github.com/thanpolas/server2js/master/lib/goog.string.js",
             "https://raw.github.com/thanpolas/server2js/master/lib/server2js.node.js"]
  },
  {
    name: "ready.js",
    tags: ["async", "node.js", "watch", "flow", "flow control"],
    description: "Monitor multiple async operations and triggers when all or some are complete.",
    url: "https://github.com/thanpolas/ready.js",
    source: "https://raw.github.com/thanpolas/ready.js/master/lib/ready.js"
  },
  {
    name: "MinPubSub",
    tags: ["events", "pubsub"],
    description: "A publish/subscribe messaging framework",
    url: "https://github.com/daniellmb/MinPubSub",
    source: "https://raw.github.com/daniellmb/MinPubSub/master/minpubsub.src.js"
  },
  {
    name: "Modernizr",
    tags: ["feature"],
    description: "Detects native CSS3 and HTML5 features available in the current browser.",
    url: "http://www.modernizr.com/",
    source: "http://modernizr.com/downloads/modernizr-latest.js"
  },
  {
    name: "Zepto",
    tags: ["base", "dom", "webkit", "jquery", "ajax", "events", "mobile"],
    description: "jQuery API-compatible framework for modern web browsers. Optional Ajax, Events, Data and Touch modules.",
    url: "http://zeptojs.com",
    source: "https://raw.github.com/madrobby/zepto/master/src/zepto.js"
  },
  {
    name: "xui",
    github: "xui/xui",
    tags: ["base", "dom", "mobile", "ajax", "events", "webkit", "animation"],
    description: "DOM library for authoring HTML5 mobile web applications, works cross-device and cross-platform.",
    url: "http://xuijs.com",
    source: ["https://raw.github.com/xui/xui/master/src/header.js",
             "https://raw.github.com/xui/xui/master/src/base.js",
             "https://raw.github.com/xui/xui/master/src/footer.js"]
  },
  {
    name: "Underscore",
    github: "jashkenas/underscore",
    tags: ["functional", "language", "data"],
    description: "A utility-belt that provides functional programming support that you would expect in Ruby.",
    url: "http://underscorejs.org/",
    source: "http://underscorejs.org/underscore.js"
  },
  {
    name: "Lemonad",
    github: "fogus/lemonad",
    tags: ["functional", "monads", "data", "protocols"],
    description: "A functional library inspired by Clojure and ClojureScript, built on Underscore",
    url: "http://functionaljs.org/",
    source: "https://raw.github.com/fogus/lemonad/master/lib/lemonad.js"
  },
  {
    name: "Weld",
    tags: ["templating"],
    description: "Completely unobtrusive, full featured template antimatter. Works in Node.js or the Browser, awesome built-in debugger.",
    url: "http://github.com/tmpvar/weld",
    source: "https://raw.github.com/tmpvar/weld/master/lib/weld.js"
  },
  {
    name: "Mustache",
    tags: ["templating"],
    description: "Minimal, logic-less templating with {{mustaches}}. Great for server- or client-side templating.",
    url: "http://mustache.github.io/",
    source: "https://raw.github.com/janl/mustache.js/master/mustache.js"
  },
  {
    name: "LABjs",
    tags: ["loader"],
    description: "The *performance* script loader: on-demand parallel script loading with ordered execution for dependencies.",
    url: "http://labjs.com/",
    source: "https://raw.github.com/getify/LABjs/master/LAB.js"
  },
  {
    name: "Qwery",
    tags: ["css"],
    description: "Blazing fast query selector engine allowing you to select elements with CSS1, CSS2 & CSS3 selectors.",
    url: "https://github.com/ded/qwery",
    source: "https://raw.github.com/ded/qwery/master/qwery.js"
  },
  /* Too big, 5.5 kb
  {
    name: "Slick",
    tags: ["css"],
    description: "Accurate selector engine w/ CSS3 selectors and extensions like 'reverse combinators'.",
    url: "https://github.com/mootools/slick",
    source: [ "https://raw.github.com/mootools/slick/master/Source/Slick.Finder.js",
              "https://raw.github.com/mootools/slick/master/Source/Slick.Parser.js",
              "https://raw.github.com/mootools/slick/master/Source/slick.js" ]
  },
  */
  {
    name: "Sly",
    tags: ["css"],
    description: "Sly is a query selector engine allowing you to select elements with CSS1, CSS2 & CSS3 selectors.",
    url: "https://github.com/digitarald/sly",
    source: "https://raw.github.com/digitarald/sly/master/Sly.js"
  },
  {
    name: "Jaguar",
    tags: ["css"],
    description: "A lightweight, extensible, and fast selector engine with excellent support for matchesSelector(), commonly used in event delegation. Jaguar supports all CSS1, CSS2, and most CSS3 selectors.",
    url: "https://github.com/alpha123/Jaguar",
    source: "https://raw.github.com/alpha123/Jaguar/master/src/jaguar.js"
  },
  {
    name: "Émile",
    tags: ["animation", "jsanimation"],
    description: "Émile is a no-frills stand-alone CSS animation JavaScript framework",
    url: "https://github.com/madrobby/emile",
    source: "https://raw.github.com/madrobby/emile/master/emile.js"
  },
  {
    name: "Lawnchair",
    github: "brianleroux/lawnchair",
    tags: ["data", "storage", "webkit", "mobile"],
    description: "Client side JSON document store. Perfect for WebKit mobile apps.",
    url: "http://brian.io/lawnchair/",
    source: "https://raw.github.com/brianleroux/lawnchair/master/src/Lawnchair.js"
  },
  /* Too Big 7kb
  {
    name: "ExplorerCanvas",
    tags: ["polyfill", "canvas"],
    description: "HTML5 canvas tag support for Internet Explorer.",
    url: "http://code.google.com/p/explorercanvas/",
    source: "http://explorercanvas.googlecode.com/svn/trunk/excanvas.js"
  },
  */
  {
    name: "Placeholder.js",
    tags: ["polyfill"],
    description: "Adds support for the placeholder attribute in older browsers that don't support this HTML5 feature.",
    url: "https://github.com/NV/placeholder.js",
    source: "http://nv.github.io/placeholder.js/placeholder.js"
  },
  /* N/A
  {
    name: "Micro-Templating",
    tags: ["templating"],
    description: "Templating function that is fast, caches quickly, and is easy to use.",
    url: "http://ejohn.org/blog/javascript-micro-templating/",
    source: "http://www.manning.com/resig/JavaScriptNinjaSourceCode.zip!/code/07/11.js"
  },
  */
  {
    name: "Transparency.js",
    tags: ["templating"],
    description: "Semantic template engine for the browser that maps JSON objects to DOM elements by id, class and data-bind attributes.",
    url: "https://github.com/leonidas/transparency",
    source: "https://raw.github.com/leonidas/transparency/master/lib/transparency.js"
  },
  {
    name: "BuildSugar",
    tags: ["templating"],
    description: "Bizarrely clean & simple syntax sugar for building HTML/XML strings",
    url: "http://jsfiddle.net/SubtleGradient/4W3RR/",
    source: "https://raw.github.com/gist/278016/BuildSugar.SubtleGradient.js"
  },
  {
    name: "Tweet-Templ",
    tags: ["templating"],
    description: "function t(s,d){for(var p in d)s=s.replace(new RegExp('{'+p+'}','g'),d[p]);return s;}",
    url: "http://mir.aculo.us/2011/03/09/little-helpers-a-tweet-sized-javascript-templating-engine/",
    source: "function t(s,d){ for(var p in d) s=s.replace(new RegExp('{'+p+'}','g'), d[p]); return s; }"
  },
  {
    name: "Firmin",
    github: "beastaugh/firmin",
    tags: ["animation", "webkit"],
    description: "Animation library that uses CSS transforms and transitions to create smooth, hardware-accelerated animations.",
    url: "http://extralogical.net/projects/firmin/",
    source: "https://raw.github.com/beastaugh/firmin/master/src/firmin.js"
  },
  {
    name: "Bonzo",
    tags: ["dom"],
    description: "Hassle-free, library agnostic, extensible DOM utility.",
    url: "https://github.com/ded/bonzo",
    source: "https://raw.github.com/ded/bonzo/master/bonzo.js"
  },
  {
    name: "Bean",
    tags: ["events", "dom"],
    description: "Bean is a slick, cross-platform, framework-agnostic event utility designed for desktop, mobile, and touch-based browsers. ",
    url: "https://github.com/fat/bean",
    source: "https://raw.github.com/fat/bean/master/bean.js"
  },
  {
    name: "$script.js",
    tags: ["loader"],
    description: "An asynchronous JavaScript loader and dependency manager with an astonishingly impressive footprint.",
    url: "https://github.com/ded/script.js",
    source: "https://raw.github.com/ded/script.js/master/dist/script.js"
  },
  {
    name: "Klass",
    tags: ["language", "class"],
    description: "An expressive, cross platform JavaScript Class provider with a slick, classical interface to prototypal inheritance.",
    url: "https://github.com/ded/klass",
    source: "https://raw.github.com/ded/klass/master/klass.js"
  },
  {
    name: "OORJa",
    tags: ["language", "class"],
    description: "OORJa = Object Oriented JavaScript",
    url: "http://maxpert.github.io/oorja/",
    source: "https://raw.github.com/maxpert/oorja/master/Class.js"
  },
  {
    name: "Classy",
    tags: ["language", "class"],
    description: "Classy is a small JavaScript library that implements Python inspired classes for JavaScript.",
    url: "http://classy.pocoo.org/",
    source: "https://raw.github.com/mitsuhiko/classy/master/classy.js"
  },
  /* versioned releases, removed
  {
    name: "Milk",
    tags: ["templating"],
    description: "Spec-compatible (v1.1+λ) Mustache templating: written in CoffeeScript, runnable anywhere.",
    url: "https://github.com/pvande/Milk",
    // version is current as of 18-JUN-2013, 2 years old
    source: "https://raw.github.com/pvande/Milk/master/dist/v1.2.0/milk.js"
    //source: "https://raw.github.com/pvande/Milk/master/milk.coffee"
  },
  */
  {
    name: "Director",
    tags: ["spa"],
    description: "A lightweight, full featured client side router for single page apps.",
    url: "https://github.com/flatiron/director",
    source: "https://raw.github.com/flatiron/director/master/build/director.js"
  },
  {
    name: "snack.js",
    tags: ["base", "dom", "events", "ajax", "language"],
    description: "A tiny, cross-browser, library with DOM manipulation, events, pub/sub, Ajax and language utilities.",
    url: "http://snackjs.com/",
    source: "https://raw.github.com/rpflorence/snack/master/builds/snack.js"
  },
  {
    name: "Ender",
    tags: ["compose", "base", "mobile"],
    description: "An open, powerful, micro-to-macro API for composing your own custom JavaScript library.",
    url: "http://ender.no.de",
    source: "https://raw.github.com/ender-js/ender-js/master/ender.js"
  },
  {
    name: "Mold",
    github: "marijnh/mold",
    tags: ["templating"],
    description: "Mold is a templating library.",
    url: "http://marijnhaverbeke.nl/mold/",
    source: "https://raw.github.com/marijnh/mold/master/mold.js"
  },
  /* gzipped file too big, 5.1 kB is not "micro"
  {
    name: "Tempo",
    tags: ["templating"],
    description: "Tempo is a JSON rendering engine that enables you to craft data templates in pure HTML.",
    url: "http://twigkit.github.io/tempo/",
    source: "https://raw.github.com/twigkit/tempo/master/tempo.js"
  },
  */
  {
    name: "Reqwest",
    tags: ["ajax"],
    description: "Robust wrapper for asynchronous http requests.",
    url: "https://github.com/ded/Reqwest",
    source: "https://raw.github.com/ded/Reqwest/master/reqwest.js"
  },
  {
    name: "majaX.js",
    github: "SimonWaldherr/majaX.js",
    tags: ["ajax", "http", "xml", "csv", "json", "binary", "api"],
    description: "make AJAX Requests and get (parsed) values (and headers).",
    url: "https://github.com/SimonWaldherr/majaX.js",
    source: "https://raw.github.com/SimonWaldherr/majaX.js/master/majax.js"
  },
  {
    name: "JSON2",
    tags: ["polyfill", "json"],
    description: "Creates a JSON property in the global object, if there  isn't already one, with stringify and parse methods.",
    url: "https://github.com/douglascrockford/JSON-js",
    source: "https://raw.github.com/douglascrockford/JSON-js/master/json2.js"
  },
  {
    name: "yepnope",
    tags: ["polyfill", "loader"],
    description: "yepnope is an asynchronous conditional resource loader that allows you to load only the scripts that your users need.",
    url: "http://yepnopejs.com/",
    source: "https://raw.github.com/SlexAxton/yepnope.js/master/yepnope.js"
  },
  {
    name: "ICanHaz",
    tags: ["templating"],
    description: "Simple & powerful client-side templating for jQuery or Zepto.js.",
    url: "http://icanhazjs.com/",
    source: "https://raw.github.com/HenrikJoreteg/ICanHaz.js/master/ICanHaz.js"
  },
  {
    name: "Q",
    tags: ["functional", "events"],
    description: "when/defer-style promises for JavaScript (CommonJS/Promises/A,B,D)",
    url: "https://github.com/kriskowal/q",
    source: "https://raw.github.com/kriskowal/q/master/q.js"
  },
  {
    name: "domReady",
    tags: ["dom", "event", "ready", "load"],
    description: "Lets you know when the DOM is ready",
    url: "https://github.com/ded/domready",
    source: "https://raw.github.com/ded/domready/master/ready.js"
  },
  /* I'm not sure what to do with this, the download is a big ZIP file with 9 .js files, all together gzipped they are nearly 7 KB
  {
    name: "Spine",
    tags: ["mvc"],
    description: "MVC with real protypical inheritance, controllers, model layer and ORM, Ajax and local storage.",
    url: "http://maccman.github.io/spine/",
    source: "http://spinejs.com/pages/download"
  },
  */
  {
    name: "Kizzy",
    tags: ["data", "storage"],
    description: "Cross Browser caching util leveraging LocalStorage and XML Store with a Memcached interface",
    url: "https://github.com/ded/Kizzy",
    source: "https://raw.github.com/ded/Kizzy/master/kizzy.js"
  },
  {
    name: "Bowser",
    tags: ["feature"],
    description: "A browser detector. Because when there is no features to detect, sometimes you have to browser sniff",
    url: "https://github.com/ded/bowser",
    source: "https://raw.github.com/ded/bowser/master/bowser.js"
  },
  {
    name: "ES5-Shim",
    tags: ["language", "polyfill"],
    description: "Compatibility shims so that legacy JavaScript engines behave as closely as possible to ES5.",
    url: "https://github.com/kriskowal/es5-shim/",
    source: "https://raw.github.com/kriskowal/es5-shim/master/es5-shim.js"
  },
  {
    name: "es6-shim",
    tags: ["language", "polyfill", "shim", "harmony"],
    description: "Compatibility shims so that legacy JavaScript engines behave as closely as possible to ES6 (Harmony).",
    url: "https://github.com/paulmillr/es6-shim/",
    source: "https://raw.github.com/paulmillr/es6-shim/master/es6-shim.js"
  },
  {
    name: "ES6-Map-Shim",
    tags: ["language", "polyfill"],
    description: "Shim for latest ES6.next Map spec",
    url: "https://github.com/eriwen/es6-map-shim",
    source: "https://raw.github.com/eriwen/es6-map-shim/master/es6-map-shim.js"
  },
  {
    name: "Loadrunner",
    tags: ["loader"],
    description: "Simple, flexible and sane JavaScript loader and build tool for browsers",
    url: "https://github.com/danwrong/loadrunner",
    source: "https://raw.github.com/danwrong/loadrunner/master/src/loadrunner.js"
  },
  {
    name: "functools",
    tags: ["functional"],
    description: "A library for functional operations",
    url: "https://github.com/azer/functools",
    source: "https://raw.github.com/azer/functools/master/lib/functools.js"
  },
  {
    name: "observer",
    tags: ["observer", "events"],
    description: "CommonJS implementation of the observer design pattern",
    url: "https://github.com/azer/observer",
    source: "https://raw.github.com/azer/observer/master/lib/observer.js"
  },
  {
    name: "JsDefer",
    tags: ["loader"],
    description: "Script loader, using the 'Deferred' pattern for async operations.",
    url: "https://github.com/BorisMoore/jsdefer/",
    source: "https://raw.github.com/BorisMoore/jsdefer/master/jsdefer.js"
  },
  {
    name: "defer.js",
    tags: ["loader", "async"],
    description: "Predicate-based JS execution engine, for in-page and external scripts. Loads itself asynchronously.",
    url: "https://github.com/wessman/defer.js",
    source: "https://raw.github.com/wessman/defer.js/master/src/defer.js"
  },
  {
    name: "Bootstrap",
    tags: ["loader"],
    description: "A small, simple bootloader. No frills. Black and white label.",
    url: "https://bitbucket.org/scott_koon/bootstrap",
    source: "https://bitbucket.org/scott_koon/bootstrap/raw/default/bootstrap.js"
  },
  {
    name: "LazyLoad",
    tags: ["loader"],
    description: "Async JavaScript and CSS loader.",
    url: "https://github.com/rgrove/lazyload",
    source: "https://raw.github.com/rgrove/lazyload/master/lazyload.js"
  },
  {
    name: "Valentine",
    tags: ["functional", "language", "data"],
    description: "JavaScripts functional sister providing iterators, type checking, and basic utils",
    url: "https://github.com/ded/valentine",
    source: "https://raw.github.com/ded/valentine/master/valentine.js"
  },
  {
    name: "TurtleWax",
    tags: ["canvas", "graphics"],
    description: "LOGO-inspired canvas drawing lib, adds method chaining and polar coordinates for added fun.",
    url: "https://github.com/davebalmer/turtlewax",
    source: "https://raw.github.com/davebalmer/turtlewax/master/pen.js" // also needs an extra, small, hsv.js
  },
  {
    name: "picoCSS",
    tags: ["CSS", "CSS3", "mobile"],
    description: "Basic CSS DOM manipulation and animation optimized for webkit browsers(Safari, Chrome) for building mobile web apps",
    url: "https://github.com/vladocar/picoCSS",
    source: "https://raw.github.com/vladocar/picoCSS/master/src/picoCSS.js"
  },
  {
    name: "H5F.js",
    tags: ["polyfill"],
    description: "Adds support for HTML5 Forms chapters new field input types, attributes and constraint validation API in non-supporting browsers.",
    url: "https://github.com/ryanseddon/H5F",
    source: "https://raw.github.com/ryanseddon/H5F/master/src/H5F.js"
  },
  {
    name: "Store.js",
    tags: ["data", "storage"],
    description: "localStorage wrapper for all browsers without using cookies or flash",
    url: "https://github.com/marcuswestin/store.js",
    source: "https://raw.github.com/marcuswestin/store.js/master/store.js"
  },
  {
    name: "Objs",
    tags: ["language"],
    description: "A minimalistic library intended to help in using namespaces and class inheritance in JavaScript.",
    url: "https://github.com/tekool/objs",
    source: "https://raw.github.com/tekool/objs/master/src/Objs.js"
  },
  {
    name: "EventEmitter",
    tags: ["events"],
    description: "Evented JavaScript for the browser",
    url: "https://github.com/Wolfy87/EventEmitter",
    source: "https://raw.github.com/Wolfy87/EventEmitter/master/EventEmitter.js"
  },
  {
    name: "Color",
    tags: ["color"],
    description: "Color conversion functions for switching between hex decimal, RGB, names and arrays.",
    url: "https://github.com/Wolfy87/Color",
    source: "https://raw.github.com/Wolfy87/Color/master/color.js"
  },
  {
    name: "Microajax",
    tags: ["ajax"],
    description: "Simple AJAX library.",
    url: "http://code.google.com/p/microajax/",
    source: "http://microajax.googlecode.com/files/microajax.js"
  },
  {
    name: "Fermata",
    tags: ["ajax"],
    description: "Succinct native REST client, for client-side web apps and node.js. Turns URLs into magic JavaScript objects.",
    url: "https://github.com/natevw/fermata",
    source: "https://raw.github.com/natevw/fermata/master/fermata.js"
  },
  {
    name: "Base64.js",
    tags: ["polyfill"],
    description: "`window.btoa` and `window.atob` for browsers which don't provide these functions.",
    url: "https://github.com/davidchambers/Base64.js",
    source: "https://raw.github.com/davidchambers/Base64.js/master/base64.js"
  },
  {
    name: "Mibbu",
    tags: ["games", "canvas"],
    description: "Microframework for fast game prototyping using Canvas & DOM",
    url: "https://github.com/michalbe/mibbu",
    source: "https://raw.github.com/michalbe/mibbu/master/mibbu.js"
  },
  {
    name: "nimble",
    tags: ["functional", "async"],
    description: "Functional flow-control for JavaScript. Combines features of the underscore and async libraries.",
    url: "http://caolan.github.io/nimble/",
    source: "https://raw.github.com/caolan/nimble/master/nimble.js"
  },
  {
    name: "loom",
    tags: ["functional"],
    description: "A simple, four method API for differential inheritance and AOP.",
    url: "https://github.com/rpflorence/loom",
    source: "https://raw.github.com/rpflorence/loom/master/loom.js"
  },
  {
    name: "jWorkflow",
    tags: ["functional", "workflow", "async"],
    description: "Simple, buildable, repeatable workflows for client or serverside javascript",
    url: "http://github.com/tinyhippos/jWorkflow",
    source: "https://raw.github.com/tinyhippos/jWorkflow/master/lib/jWorkflow.js"
  },
  {
    name: "Events.js",
    tags: ["events", "dom"],
    description: "Cross-browser DOM events, with keystroke handling, hashchange, mouseenter/leave.",
    url: "https://github.com/kbjr/Events.js",
    source: "https://raw.github.com/kbjr/Events.js/master/events.js"
  },
  {
    name: "JS-Signals",
    tags: ["events"],
    description: "Custom Event/Messaging system for JavaScript.",
    url: "http://millermedeiros.github.io/js-signals/",
    source: "https://raw.github.com/millermedeiros/js-signals/master/dist/signals.js"
  },
  {
    name: "Crossroads.js",
    tags: ["route", "events", "spa"],
    description: "Powerful JavaScript URL routing/dispatch for server-side and client-side applications.",
    url: "http://millermedeiros.github.io/crossroads.js/",
    source: "https://raw.github.com/millermedeiros/crossroads.js/master/dist/crossroads.js"
  },
  {
    name: "Hasher",
    tags: ["spa"],
    description: "Browser history manager for rich-media applications.",
    url: "https://github.com/millermedeiros/Hasher",
    source: "https://raw.github.com/millermedeiros/Hasher/master/dist/js/hasher.js"
  },
  {
    name: "Artemia",
    tags: ["data", "storage"],
    description: "Artemia is a clientside document store, inspired by Lawnchair.",
    url: "https://github.com/k33g/artemia/",
    source: [ "https://raw.github.com/k33g/artemia/master/js/artemia.js",
              "https://raw.github.com/k33g/artemia/master/js/adaptors.plugins/artemia.storage.js",
              "https://raw.github.com/k33g/artemia/master/js/adaptors.plugins/artemia.sqlite.storage.js" ]
  },
  {
    name: "js.class",
    tags: ["functional", "class", "extend"],
    description: "Class-based OO for JavaScript.",
    url: "http://code.google.com/p/jsclassextend/",
    source: "http://jsclassextend.googlecode.com/files/js.class.js"
  },
  {
    name: "Satisfy",
    tags: ["html", "css", "selector"],
    description: "CSS Selector to HTML generator.",
    url: "https://github.com/padolsey/satisfy",
    source: "https://raw.github.com/padolsey/satisfy/master/satisfy.js"
  },
  /* The gist was removed. It doesn't seem to be maintained
  {
    // can ignore "GitHub says: Not Found" (checked 18-JUN-2013)
    name: "jXHR",
    tags: ["json", "json-p", "xhr", "ajax", "cross-domain"],
    description: "JSON-P based cross-domain Ajax wrapped in the XHR API.",
    url: "https://gist.github.com/marianoviola/1576277",
    source: "https://gist.github.com/marianoviola/1576277/raw/05536a8277e43da988863950a64fe88978f9d4d1/jXHR.js"
  },
  */
  {
    name: "Ekho",
    tags: ["events"],
    description: "DOM-agnostic event library, with bubbling.",
    url: "https://bitbucket.org/killdream/ekho",
    source: "https://bitbucket.org/killdream/ekho/raw/tip/src/ekho.js"
  },
  {
    name: "JSON.minify",
    tags: ["json"],
    description: "Strip out // and /*..*/ comments from JSON before parsing.",
    url: "http://github.com/getify/JSON.minify",
    source: "https://raw.github.com/getify/JSON.minify/master/minify.json.js"
  },
  {
    name: "jaylist",
    tags: ["functional", "extend", "data"],
    description: "A simple wrapper for JavaScript's built-in hash storage.",
    url: "http://benbscholz.github.io/jaylist",
    source: "https://raw.github.com/benbscholz/jaylist/master/src/jaylist.js"
  },
  {
    name: "SubtleLocationProxy",
    tags: ["history", "route", "spa"],
    description: "Proxy the location of one window, frame or iframe to the hash of another and vice-versa.",
    url: "https://github.com/subtleGradient/SubtleLocationProxy.js",
    source: "https://raw.github.com/subtleGradient/SubtleLocationProxy.js/master/SubtleLocationProxy.js"
  },
  {
    name: "LeviRoutes",
    tags: ["history", "route", "spa"],
    description: "A basic routes framework for JS that hooks in to HTML5 history",
    url: "http://leviroutes.com",
    source: "https://raw.github.com/PaulKinlan/leviroutes/master/routes.js"
  },
  {
    name: "FormfactorJS",
    tags: ["formfactor", "loader"],
    description: "A formfactor detection library, to help developers target tablet, tvs, desktops and handhelds (or anything you choose)",
    url: "http://formfactorjs.com",
    source: "https://raw.github.com/PaulKinlan/formfactor/master/formfactor.js"
  },
  {
    name: "Head JS",
    tags: ["loader", "polyfill", "feature", "responsive"],
    description: "A responsive design library, with HTML5 and CSS3 polyfills, and asynchronous/conditional asset loading",
    url: "http://headjs.com/",
    source: "https://raw.github.com/headjs/headjs/master/dist/head.js"
  },
  {
    name: "Augment.js",
    github: "olivernn/augment.js",
    tags: ["polyfill"],
    description: "Enables use of modern JavaScript by augmenting built in objects with the latest JavaScript methods.",
    url: "http://augmentjs.com",
    source: "https://raw.github.com/olivernn/augment.js/master/augment.js"
  },
  {
    name: "thumbs.js",
    tags: ["polyfill"],
    description: "Add touch event support to the desktop and other mouse-based browsers.",
    url: "http://mwbrooks.github.io/thumbs.js/",
    source: "https://raw.github.com/mwbrooks/thumbs.js/master/lib/thumbs.js"
  },
  {
    name: "DOMBuilder",
    tags: ["dom", "html"],
    description: "Declarative builder with (mostly) interchangeable DOM or HTML output",
    url: "https://github.com/insin/DOMBuilder",
    source: "https://raw.github.com/insin/DOMBuilder/master/dist/DOMBuilder.js"
  },
  {
    name: "my.common.js",
    tags: ["loader", "commonjs"],
    description: "A CommonJS-like script/module loader.",
    url: "https://github.com/jiem/my-common",
    source: "https://raw.github.com/jiem/my-common/master/my.common.js"
  },
  {
    name: "my.class.js",
    tags: ["language", "class"],
    description: "Probably the fastest JS class system. No wrappers.",
    url: "https://github.com/jiem/my-class",
    source: "https://raw.github.com/jiem/my-class/master/my.class.js"
  },
  {
    name: "Class.js",
    tags: ["language", "class", "inheritance"],
    description: "Lighting fast class system. Beautiful API.",
    url: "https://github.com/DominikGuzei/Class.js",
    source: "https://raw.github.com/DominikGuzei/Class.js/master/class.js"
  },
  {
    name: "htmlentities.js",
    tags: ["htmlentities", "decode", "encode", "dom"],
    description: "A minimal html entities decoder/encoder using DOM.",
    url: "https://github.com/jussi-kalliokoski/htmlentities.js",
    source: "https://raw.github.com/jussi-kalliokoski/htmlentities.js/master/src/htmlentities.js"
  },
  {
    name: "binary.js",
    tags: ["binary", "decode", "encode"],
    description: "A fast, small, robust and extensible binary conversion library.",
    url: "https://github.com/jussi-kalliokoski/binary.js",
    source: "https://raw.github.com/jussi-kalliokoski/binary.js/master/binarystream.js"
  },
  {
    name: "C-qwncr",
    tags: ["async", "animation", "jsanimation"],
    description: "An animation sequencing library that prevents complex animations from starting again before they've completed.",
    url: "https://github.com/vsa-partners/c-qwncr",
    source: "https://raw.github.com/vsa-partners/c-qwncr/master/js/c-qwncr.js"
  },
  {
    name: "Timed",
    tags: ["functional", "sugar"],
    description: "Syntactic sugar for JavaScript's setTimeout() and setInterval().",
    url: "https://github.com/ChiperSoft/Timed",
    source: "https://raw.github.com/ChiperSoft/Timed/master/timed.js"
  },
  {
    name: "Sslac",
    tags: ["language", "class"],
    description: "A (seemingly backwards) JS class builder with support for runtime patching",
    url: "https://github.com/jakobo/sslac",
    source: "https://raw.github.com/Jakobo/Sslac/master/src/sslac.js"
  },
  {
    name: "ShinyCar",
    tags: ["data", "storage"],
    description: "Set localStorage keys and values as objects",
    url: "https://github.com/Poincare/ShinyCar",
    source: "https://raw.github.com/Poincare/ShinyCar/master/shinycar.js"
  },
  {
    name: "lscache",
    tags: ["data", "storage"],
    description: "A localStorage-based memcache-inspired client-side caching library.",
    url: "https://github.com/pamelafox/lscache",
    source: "https://raw.github.com/pamelafox/lscache/master/lscache.js"
  },
  {
    name: "Evidence",
    tags: ["testing"],
    description: "Evidence is a JavaScript unit testing library. This fork exclusively uses the console to log.",
    url: "https://github.com/madrobby/evidence",
    source: "https://raw.github.com/madrobby/evidence/master/src/evidence.js"
  },
  {
    name: "ClassIE",
    tags: ["feature"],
    description: "ClassIE is an unobstrusive library which detects Internet Explorer version for JS and CSS sides",
    url: "https://github.com/pyrsmk/ClassIE",
    source: "https://raw.github.com/pyrsmk/ClassIE/master/src/ClassIE.js"
  },
  {
    name: "Sheethub",
    tags: ["polyfill"],
    description: "A CSS backdoor API for providing awesome scripts in a centralized way",
    url: "https://github.com/pyrsmk/Sheethub",
    source: "https://raw.github.com/pyrsmk/Sheethub/master/src/Sheethub.js"
  },
  {
    name: "nut",
    tags: ["css"],
    description: "A concise CSS selector engine",
    url: "https://github.com/pyrsmk/nut",
    source: "https://raw.github.com/pyrsmk/nut/master/src/nut.js"
  },
  {
    name: "molt",
    tags: ["responsive"],
    description: "Image updater for responsive designs",
    url: "https://github.com/pyrsmk/molt",
    source: "https://raw.github.com/pyrsmk/molt/master/src/molt.js"
  },
  {
    name: "W",
    tags: ["responsive"],
    description: "Width management tool for responsive designers",
    url: "https://github.com/pyrsmk/W",
    source: "https://raw.github.com/pyrsmk/W/master/src/W.js"
  },
  {
    name: "toast",
    tags: ["loader"],
    description: "A simple CSS and JS resource loader",
    url: "https://github.com/pyrsmk/toast",
    source: "https://raw.github.com/pyrsmk/toast/master/src/toast.js"
  },
  {
    name: "mediatizr",
    tags: ["polyfill", "responsive"],
    description: "A media queries polyfill",
    url: "https://github.com/pyrsmk/mediatizr",
    source: "https://raw.github.com/pyrsmk/mediatizr/master/src/mediatizr.js"
  },
  {
    name: "qwest",
    tags: ["ajax"],
    description: "Ajax library with promises and XHR2 support",
    url: "https://github.com/pyrsmk/qwest",
    source: "https://raw.github.com/pyrsmk/qwest/master/src/qwest.js"
  },
  {
    name: "quark",
    tags: ["base"],
    description: "Build your own framework from scratch",
    url: "https://github.com/pyrsmk/quark",
    source: [
       "https://raw.github.com/pyrsmk/quark/master/src/quark.js",
       "https://raw.github.com/pyrsmk/quark/master/src/starter.js"
    ]
  },
  {
    name: "DragDrop",
    tags: ["dragdrop", "ui"],
    description: "Drag-and-Drop functionality for advanced UI development.",
    url: "https://github.com/kbjr/DragDrop",
    source: "https://raw.github.com/kbjr/DragDrop/master/drag-drop.js"
  },
  {
    name: "Async",
    tags: ["control flow", "module", "asynchronous "],
    description: "Async is a utility module which provides straight-forward, powerful functions for working with asynchronous JavaScript.",
    url: "https://github.com/caolan/async",
    source: "https://raw.github.com/caolan/async/master/lib/async.js"
  },
  {
    name: "Jaml",
    tags: ["templating"],
    description: "Jaml tries to emulate Ruby's Haml library, making it easy to generate HTML in your JavaScript projects.",
    url: "http://edspencer.github.io/jaml/",
    source: "https://raw.github.com/edspencer/jaml/master/Jaml-all.js"
  },
  {
    name: "Async GA",
    tags: ["analytics"],
    description: "Reduced Google's original analytics snippet by one third, with better performance.",
    url: "http://mathiasbynens.be/notes/async-analytics-snippet",
    source: "var _gaq = [['_setAccount', 'UA-XXXXX-X'], ['_trackPageview']];" +
            "(function(d, t) {" +
            "var g = d.createElement(t)," +
            "s = d.getElementsByTagName(t)[0];" +
            "g.src = '//www.google-analytics.com/ga.js';" +
            "s.parentNode.insertBefore(g, s);" +
            "}(document, 'script'));"
  },
  {
    name: "JSONSelect",
    github: "lloyd/JSONSelect",
    tags: ["data", "json"],
    description: "CSS-like selectors for JSON.",
    url: "http://jsonselect.org",
    source: "http://jsonselect.org/js/jsonselect.js"
  },
  {
    name: "Morpheus",
    tags: ["animation", "jsanimation", "color"],
    description: "An animator that lets you tween in parallel on multiple elements, from integers to colors in a single high-performant loop",
    url: "https://github.com/ded/morpheus",
    source: "https://raw.github.com/ded/morpheus/master/morpheus.js"
  },
  {
    name: "Viper",
    tags: ["animation", "jsanimation", "color", "text"],
    description: "A friendly library for changing a property of an object over time. Supports animating numbers, colors, and even strings.",
    url: "https://github.com/alpha123/Viper",
    source: "https://raw.github.com/alpha123/Viper/master/src/viper-uncompressed.js"
  },
  {
    name: "microjungle",
    tags: ["templating"],
    description: "very simple and powerful client-side HTML via JSON templating engine.",
    url: "https://github.com/deepsweet/microjungle",
    source: "https://raw.github.com/deepsweet/microjungle/master/src/microjungle.js"
  },
  {
    name: "environ",
    tags: ["feature"],
    description: "Cross platform environment detection library.",
    url: "https://github.com/azer/environ",
    source: "https://raw.github.com/azer/environ/master/lib/environ.js"
  },
  {
    name: "state-machine",
    tags: ["data", "games", "statemachine"],
    description: "A finite state machine, useful in game development",
    url: "https://github.com/jakesgordon/javascript-state-machine",
    source: "https://raw.github.com/jakesgordon/javascript-state-machine/master/state-machine.js"
  },
  {
    name: "Janis",
    tags: ["animation", "ui", "transitions"],
    description: "A simple CSS Transitions animation framework",
    url: "http://mikemctiernan.github.io/Janis/",
    source: "https://raw.github.com/MikeMcTiernan/Janis/master/janis.js"
  },
  /* switched to versioned releases, removed
  // requires Underscore, dependency allowed?
  // not really!
  {
    name: "extend.js",
    tags: ["base", "language", "feature"],
    description: "A simple way to define and extend namespaces",
    url: "https://github.com/searls/extend.js",
    source: "https://raw.github.com/searls/extend.js/master/src/extend.js"
  },
  */
  {
    name: "System.js",
    tags: ["feature"],
    description: "Generates a JavaScript object with the user's system information.",
    url: "https://github.com/mrdoob/system.js",
    source: "https://raw.github.com/mrdoob/system.js/master/src/System.js"
  },
  /* Too big: 8.1 kb
  {
    name: "Benchmark.js",
    tags: ["benchmark", "testing"],
    description: "A benchmarking library that works on nearly all JavaScript platforms, supports high-resolution timers, and returns statistically significant results. As used on jsPerf.com.",
    url: "http://benchmarkjs.com/",
    source: "https://raw.github.com/bestiejs/benchmark.js/master/benchmark.js"
  },
  */
  {
    name: "Platform.js",
    tags: ["feature"],
    description: "A platform detection library that works on nearly all JavaScript platforms.",
    url: "https://github.com/bestiejs/platform.js",
    source: "https://raw.github.com/bestiejs/platform.js/master/platform.js"
  },
  {
    name: "Hypher",
    tags: ["hyphenation"],
    description: "Fast and small hyphenation engine for Node.js and the browser",
    url: "https://github.com/bramstein/Hypher",
    source: "https://raw.github.com/bramstein/Hypher/master/lib/hypher.js"
  },
  {
    name: "tinyJS",
    tags: ["base", "css", "functional"],
    description: "A tiny yet complete toolkit",
    url: "http://tinyjs.sourceforge.net/tiny.js",
    source: "http://tinyjs.sourceforge.net/tiny.js"
  },
  {
    name:"Vine",
    tags:["events"],
    description:"An events library that supports binding, unbinding, and triggering events on DOM elements or JavaScript Objects",
    url:"https://github.com/arextar/Vine",
    source:"https://raw.github.com/arextar/Vine/master/vine.js"
  },
  {
    name: "micro-selector",
    tags: ["css"],
    description: "A micro, super fast, scope limited, javascript selector engine to be used anywhere",
    url: "https://github.com/fabiomcosta/micro-selector",
    source: "https://raw.github.com/fabiomcosta/micro-selector/master/dist/uSelector.js"
  },
  {
    name: "Obscura",
    tags: ["canvas", "image", "manipulation"],
    description: "Canvas based image manipulation library",
    url: "https://github.com/OiNutter/Obscura",
    source: "https://raw.github.com/OiNutter/Obscura/master/dist/obscura.js"
  },
  {
    name: "imgResize.js",
    tags: ["canvas", "image", "manipulation", "resize"],
    description: "Resize images in a Canvas based on edge detection.",
    url: "https://github.com/SimonWaldherr/imgResize.js",
    source: "https://raw.github.com/SimonWaldherr/imgResize.js/master/imgresize.js"
  },
  {
    name: "Shifty",
    tags: ["animation", "jsanimation"],
    description: "A teeny tiny tweening engine in JavaScript.",
    url: "https://github.com/jeremyckahn/shifty",
    source: "https://raw.github.com/jeremyckahn/shifty/master/dist/shifty.js"
  },
  {
    name: "whenever.js",
    tags: ["events"],
    description: "Specify your app's behavior using a syntax that reads like English",
    url: "https://github.com/paulca/whenever.js",
    source: "https://raw.github.com/paulca/whenever.js/master/whenever.js"
  },
  /* Links to a zip file, needs to link to a JS file, couldn't find a reference to a pure js file on the site.
  {
    name: "Sylvester",
    tags: ["svg", "vector", "matrix", "math"],
    description: "A js library for mathematics with vectors and matrices",
    url: "http://sylvester.jcoglan.com/",
    source: "http://sylvester.jcoglan.com/assets/sylvester-0-1-3.zip"
  },
  */
  {
    name: "Include.js",
    tags: ["loader"],
    description: "A tiny and AMD javascript loader with nested dependencies.",
    url: "http://capmousse.github.io/include.js/",
    source: "https://raw.github.com/CapMousse/include.js/master/include.js"
  },
  {
    name: "asEvented",
    tags: ["events", "functional"],
    description: "Micro event emitter which provides the observer pattern to JavaScript objects.",
    url: "https://github.com/mkuklis/asEvented",
    source: "https://raw.github.com/mkuklis/asEvented/master/asevented.js"
  },
  {
    name: "Keymaster",
    tags: ["events"],
    description: "Define scoped keyboard shortcuts, including modifier keys.",
    url: "https://github.com/madrobby/keymaster",
    source: "https://raw.github.com/madrobby/keymaster/master/keymaster.js"
  },
  {
    name: "Date-Utils",
    tags: ["date", "polyfill"],
    description: "Lightweight Date Polyfill with a lot of flexibility.",
    url: "https://github.com/JerrySievert/node-date-utils",
    source: "https://raw.github.com/JerrySievert/node-date-utils/master/lib/date-utils.js"
  },
  {
    name: "Morf",
    tags: ["animation", "jsanimation"],
    description: "A JavaScript work-around for hardware accelerated CSS3 transitions with custom easing functions.",
    url: "https://github.com/joelambert/morf",
    source: ["https://raw.github.com/joelambert/morf/master/js/src/morf.js",
             "https://raw.github.com/joelambert/morf/master/js/src/morf.utils.js",
             "https://raw.github.com/joelambert/morf/master/js/src/WebkitCSSMatrix.ext.js",
             "https://raw.github.com/joelambert/morf/master/js/src/shifty.fn.scripty2.js"]
  },
  {
    name: "typogr.js",
    tags: ["dom", "data", "css", "text", "ui", "typography", "hyphenation"],
    description: "Provides ransformations to plain text for typographically-improved HTML.",
    url: "https://github.com/ekalinin/typogr.js",
    source: "https://raw.github.com/ekalinin/typogr.js/master/typogr.js"
  },
  {
    name: "Species",
    tags: ["language", "class"],
    description: "Java style OOP, and AOP ability, watchable members, inheritance and ability to call super members.",
    url: "https://github.com/k33g/species",
    source: "https://raw.github.com/k33g/species/master/js/species.js"
  },
  {
    name: "Maddy",
    github: "bestiejs/maddy",
    tags: ["functional", "language", "data"],
    description: "A functional object operations library.",
    url: "http://bestiejs.github.io/maddy",
    source: "http://bestiejs.github.io/maddy/lib/maddy.js"
  },
  {
    name: "resistance",
    tags: ["async", "flow"],
    description: "A tiny javascript async flow control library.",
    url: "https://github.com/jgallen23/resistance",
    source: "https://raw.github.com/jgallen23/resistance/master/dist/resistance.js"
  },
  {
    name: "wru",
    tags: ["testing"],
    description: "essential unit test framework compatible with browsers, node.js, and Rhino",
    url: "https://github.com/WebReflection/wru",
    source: "https://raw.github.com/WebReflection/wru/master/build/wru.dom.js"
  },
  {
    name: "Unlimit",
    tags: ["functional", "language"],
    description: "Allows for chaining with native JavaScript objects without extending objects' prototypes.",
    url: "http://limeblack.github.io/UnlimitJS/",
    source: "https://raw.github.com/limeblack/UnlimitJS/master/unlimit.js"
  },
  {
    name: "audio-fx",
    tags: ["audio", "games"],
    description: "A HTML5 Audio Library",
    url: "https://github.com/jakesgordon/javascript-audio-fx",
    source: "https://raw.github.com/jakesgordon/javascript-audio-fx/master/audio-fx.js"
  },
  {
    name: "swipe",
    tags: ["jsanimation", "mobile"],
    description: "A lightweight 1-to-1 mobile slider. Optimized for touch devices.",
    url: "https://github.com/bradbirdsall/Swipe",
    source: "https://raw.github.com/bradbirdsall/Swipe/master/swipe.js"
  },
  {
    name: "Happen",
    tags: ["events" ],
    description: "General purpose event triggering",
    url: "https://github.com/tmcw/happen",
    source: "https://raw.github.com/tmcw/happen/master/happen.js"
  },
  {
    name: "zest",
    tags: ["css", "selector", "dom"],
    description: "An absurdly fast selector engine. Supports CSS3/CSS4 selectors - faster than Sizzle.",
    url: "https://github.com/chjj/zest",
    source: "https://raw.github.com/chjj/zest/master/lib/zest.js"
  },
  {
    name: "Cookie Monster",
    tags: ["cookies", "data", "store"],
    description: "A lightweight cookie library",
    url: "https://github.com/jgallen23/cookie-monster",
    source: "https://raw.github.com/jgallen23/cookie-monster/master/dist/cookie-monster.js"
  },
  {
    name: "EditrJS",
    tags: ["manipulation", "image", "editing"],
    description: "A very simple image editing library with a chainable api.",
    url: "https://github.com/narfdre/Editr",
    source: "https://raw.github.com/narfdre/Editr/master/Editr-src.js"
  },
  {
    name: "hsi.js",
    tags: ["color"],
    description: "A small RGB &lt;-&gt; HSI converter.",
    url: "https://github.com/e-/hsi.js",
    source: "https://raw.github.com/e-/hsi.js/master/hsi.js"
  },
  {
    name: "colorspaces.js",
    tags: ["color"],
    description: "Convert between RGB and several CIE color spaces for smarter color manipulation.",
    url: "http://boronine.github.io/colorspaces.js",
    source: "https://raw.github.com/boronine/colorspaces.js/master/colorspaces.js"
  },
  {
    name: "husl",
    tags: ["color"],
    description: "A human-friendly alternative to the HSL color space.",
    url: "http://boronine.github.io/husl",
    source: "https://raw.github.com/boronine/husl/master/husl.js"
  },
  {
    name: "Fayer",
    tags: ["functional"],
    description: "Easily kick-off page specific JavaScript.",
    url: "https://github.com/sandeepjain/fayer",
    source: "https://raw.github.com/sandeepjain/fayer/master/src/fayer.js"
  },
  /* versioned releases, removed
  {
    name: "Supplement.js",
    tags: ["functional", "language", "data", "sugar"],
    description: "A small collection of utility functions to make working with JavaScript that much sweeter and more expressive.",
    url: "http://supplementjs.com",
    // version is current as of 18-JUN-2013, 2 years old
    source: "https://raw.github.com/olivernn/supplement.js/master/dist/supplement-0.1.1.js"
  },
  */
  {
    name: "marked",
    tags: ["markdown", "markup", "parser"],
    description: "A markdown parser and compiler. Built for speed.",
    url: "https://github.com/chjj/marked",
    source: "https://raw.github.com/chjj/marked/master/lib/marked.js"
  },
  {
    name: "tinyOSF.js",
    tags: ["osf", "markup", "parser", "html", "shownotes", "mp4chaps", "podcast"],
    description: "a few lines of code to convert OSF to HTML.",
    url: "https://github.com/simonwaldherr/tinyOSF.js",
    source: ["https://raw.github.com/simonwaldherr/tinyOSF.js/master/tinyosf.js", "https://raw.github.com/SimonWaldherr/tinyOSF.js/master/tinyosf_exportmodules.js"]
  },
  {
    name: "mathmethods",
    tags: ["math", "language", "sugar"],
    description: "Give `Number.prototype` the `Math` methods it deserves.",
    url: "https://github.com/davidchambers/mathmethods",
    source: "https://raw.github.com/davidchambers/mathmethods/master/lib/mathmethods.js"
  },
  {
    name: "uuid-v4.js",
    tags: ["random", "uuid", "data", "browser", "commonjs", "node"],
    description: "RFC-4122 Compliant Random (v4) UUID Generator",
    url: "https://github.com/makeable/uuid-v4.js",
    source: "https://raw.github.com/makeable/uuid-v4.js/master/uuid-v4.js"
  },
  {
    name: "notificon.js",
    tags: ["notification", "alert", "browser", "canvas", "tab"],
    description: "Dynamic tab favicon notifications/alerts",
    url: "https://github.com/makeable/Notificon",
    source: "https://raw.github.com/makeable/Notificon/master/notificon.js"
  },
  {
    name: "Traversty",
    tags: ["dom"],
    description: "Headache-free DOM collection management and traversal with an API inspired by both jQuery and Prototype",
    url: "https://github.com/rvagg/traversty",
    source: "https://raw.github.com/rvagg/traversty/master/traversty.js"
  },
  {
    name: "140medley",
    tags: ["dom", "selector", "events", "templating", "ajax", "storage"],
    description: "A micro-framework or a collection of small, helpful utilities for common javascript tasks.",
    url: "https://github.com/honza/140medley",
    source: "https://raw.github.com/honza/140medley/master/140medley.js"
  },
  {
    name: "SpeculOOs",
    tags: ["language", "class"],
    description: "Simple JavaScript Class notation, fully CoffeeScript compliant",
    url: "https://github.com/k33g/speculoos",
    source: "https://raw.github.com/k33g/speculoos/master/speculoos.js"
  },
  {
    name: "aug",
    tags: ["extend", "augment"],
    description: "A object extend utility",
    url: "https://github.com/jgallen23/aug",
    source: "https://raw.github.com/jgallen23/aug/master/dist/aug.js"
  },
  {
    name: "path.js",
    tags: ["route"],
    description: "Simple, lightweight routing for web browsers",
    url: "http://mtrpcic.github.io/pathjs/",
    source: "https://raw.github.com/mtrpcic/pathjs/master/path.js"
  },
  {
    name: "scaleApp.js",
    github: "flosse/scaleApp",
    tags: ["spa", "base", "events", "node", "pubsub", "async", "flow", "flow control"],
    description: "scaleApp is a tiny JavaScript framework for scalable one-page-applications",
    url: "http://scaleapp.org/",
    source: "https://raw.github.com/flosse/scaleApp/master/dist/scaleApp.js"
  },
  {
    name: "Choona.js",
    github: "nsisodiya/choona.js",
    tags: ["pubsub", "modular", "scalable", "sandbox", "spa", "architecture"],
    description: "Choona.js is a tiny JavaScript framework for scalable , modular architecture for one-page-applications",
    url: "https://github.com/nsisodiya/choona.js",
    source: "https://raw.github.com/nsisodiya/choona.js/master/choona.js"
  },
  {
    name: "Humane JS",
    tags: ["notification", "alert"],
    description: "A simple, modern, browser notification system",
    url: "http://wavded.github.io/humane-js/",
    source: "https://raw.github.com/wavded/humane-js/master/humane.js"
  },
  {
    name: "JSFace",
    tags: ["oop", "language", "commonjs", "node", "class"],
    description: "Small, fast, elegant, powerful, and cross platform OOP library. Support singleton, super call, private, mixins, plugins, AOP and more.",
    url: "https://github.com/tnhu/jsface",
    source: "https://raw.github.com/tnhu/jsface/master/jsface.js"
  },
  {
    name: "Radio.js",
    tags: ["events", "pubsub"],
    description: "Chainable publish/subscribe framework",
    url: "http://radio.uxder.com",
    source: "https://raw.github.com/uxder/Radio/master/radio.js"
  },
  {
    name: "keyvent.js",
    tags: ["dom", "events", "amd"],
    description: "Keyboard events simulator.",
    url: "https://github.com/gtramontina/keyvent.js",
    source: "https://raw.github.com/gtramontina/keyvent.js/master/keyvent.js"
  },
  {
    name: "draggable.js",
    tags: ["dom", "css", "css3", "amd"],
    description: "Make your dom elements draggable easily.",
    url: "http://gtramontina.github.io/draggable.js/",
    source: "https://raw.github.com/gtramontina/draggable.js/master/draggable.js"
  },
  {
    name: "T-Lite",
    tags: ["templating"],
    description: "A lite but powerfull javascript template engine",
    url: "https://github.com/CapMousse/T-Lite",
    source: "https://raw.github.com/CapMousse/T-Lite/master/tlite.js"
  },
  {
    name: "String::format",
    tags: ["string", "language", "sugar"],
    description: "Adds a `format` method to `String.prototype`. Inspired by Python's `str.format()`.",
    url: "https://github.com/davidchambers/string-format",
    source: "https://raw.github.com/davidchambers/string-format/master/lib/string-format.js"
  },
  {
    name: "Callbacks.js",
    tags: ["events", "dispatcher", "static", "callbacks"],
    url: "https://github.com/dperrymorrow/callbacks.js",
    description: "Event dispatching, can be used either as static or instance based.",
    source: "https://raw.github.com/dperrymorrow/callbacks.js/master/callbacks.js"
  },
  {
    name: "Router.js",
    tags: ["routing", "rails"],
    url: "https://github.com/dperrymorrow/router.js",
    description: "controller/action convention for javascript. home/index would automatically instantiate Home js class and fire index action.",
    source: "https://raw.github.com/dperrymorrow/router.js/master/router.js"
  },
  {
    name: "Blueshell",
    tags: ["inheritance", "prototype", "class"],
    description: "A microlibrary for inheritance with prototypal inheritance tools allowing class-like construction.",
    url: "https://github.com/jgnewman/blueshell",
    source: "https://raw.github.com/jgnewman/blueshell/master/js/blueshell.js"
  },
  {
    name: "ancestry.js",
    tags: ["class", "extend", "commonjs", "amd"],
    description: "Simple, yet powerful inheritance library to make polymorphism and super-constructors work propertly.",
    url: "https://github.com/jasonwyatt/ancestry.js",
    source: "https://raw.github.com/jasonwyatt/ancestry.js/master/ancestry.js"
  },
  {
    name: "ytIframe.js",
    tags: ["youtube", "iframe", "video"],
    description: "A flexible, plain javascript youtube video embedding script in less than 40 lines.",
    url: "https://github.com/mdix/ytIframe",
    source: "https://raw.github.com/mdix/ytIframe/master/iframe.js"
  },
  {
    name: "List.js",
    tags: ["list", "extend", "templating", "utils", "sort", "search", "filter"],
    description: "Add search, sort and flexibility to plain HTML lists (div, ul, table, everything!).",
    url: "http://listjs.com",
    source: "https://raw.github.com/javve/list/master/src/list.js"
  },
  {
    name: "Mediator.js",
    tags: ["utils", "pubsub", "notifications", "events", "async", "callbacks"],
    description: "Flexible pubsub-ish framework for handling namespaced events.",
    url: "http://www.thejacklawson.com/Mediator.js",
    source: "https://raw.github.com/ajacksified/Mediator.js/master/lib/mediator.js"
  },
  {
    name: "doT.js",
    tags: ["nodejs", "browsers", "templating", "partials", "custom delimiters"],
    description: "The fastest + concise javascript template engine for nodejs and browsers. Partials, custom delimiters and more.",
    url: "https://github.com/olado/doT",
    source: "https://raw.github.com/olado/doT/master/doT.js"
  },
  {
    name: "Stapes.js",
    tags: ["mvc", "class", "events", "mobile"],
    description: "A (really) tiny Javascript MVC microframework. Perfect for mobile.",
    url: "http://hay.github.io/stapes/",
    source: "https://raw.github.com/hay/stapes/master/stapes.js"
  },
  {
    name: "Smoke Signals",
    tags: ["events" ],
    description: "Really, really lightweight event emitting",
    url: "https://bitbucket.org/bentomas/smokesignals.js",
    source: "https://bitbucket.org/bentomas/smokesignals.js/raw/master/smokesignals.unminified.js"
  },
  {
    name: "CSSClass",
    tags: ["css" ],
    description: "Adds the functions .hasClass, .addClass, .removeClass and .toggleClass to the Element prototype.",
    url: "https://github.com/EarMaster/CSSClass",
    source: "https://raw.github.com/EarMaster/CSSClass/master/CSSClass.js"
  },
  /* switched to versioned releases, removed
  {
    name: "remoteStorage.js",
    tags: ["events", "ajax", "storage" ],
    description: "A library for adding remoteStorage support to your client-side app.",
    url: "https://github.com/RemoteStorage/remoteStorage.js",
    source: "https://raw.github.com/RemoteStorage/remoteStorage.js/master/src/remoteStorage.js"
  },
  */
  {
    name: "impress.js",
    tags: ["animation", "jsanimation", "css", "css3" ],
    description: "A presentation framework based on the power of CSS3 transforms and transitions in modern browsers and inspired by the idea behind prezi.com.",
    url: "https://github.com/bartaz/impress.js",
    source: "https://raw.github.com/bartaz/impress.js/master/js/impress.js"
  },
  {
    name: "Jwerty",
    tags: ["events" ],
    description: "Bind, fire and assert on keyboard events, with easy to use keyboard selector combos",
    url: "https://github.com/keithamus/jwerty",
    source: "https://raw.github.com/keithamus/jwerty/master/jwerty.js"
  },
  {
    name: "konami.js",
    github: "SimonWaldherr/konami.js",
    tags: ["events", "input", "bind", "keypress"],
    description: "logs every keypress and store it for later",
    url: "https://github.com/SimonWaldherr/konami.js",
    source: "https://raw.github.com/SimonWaldherr/konami.js/master/konami.js"
  },
  {
    name: "filesize.js",
    tags: ["math", "language", "amd"],
    description: "JavaScript library to generate a human readable String describing the filesize",
    url: "http://filesizejs.com",
    source: "https://raw.github.com/avoidwork/filesize.js/master/lib/filesize.js"
  },
  {
    name: "csv.js",
    tags: ["csv", "json", "array", "object", "encode", "transform"],
    description: "Convert JSON, Arrays or Objects to CSV",
    url: "https://github.com/avoidwork/csv.js",
    source: "https://raw.github.com/avoidwork/csv.js/master/lib/csv.js"
  },
  {
    name: "tiny-lru.js",
    tags: ["LRU", "cache"],
    description: "Least Recently Used cache",
    url: "https://github.com/avoidwork/tiny-lru",
    source: "https://raw.github.com/avoidwork/tiny-lru/master/lib/tiny-lru.js"
  },
  {
    name: "bacon.js",
    tags: ["mobile" ],
    description: "Detects a mobile browser",
    url: "https://github.com/tgolen/bacon.js",
    source: "https://raw.github.com/tgolen/bacon.js/master/bacon.js"
  },
  {
    name: "JSON 3",
    github: "bestiejs/json3",
    tags: ["polyfill", "json", "amd"],
    description: "A modern JSON implementation compatible with nearly all JavaScript platforms.",
    url: "http://bestiejs.github.io/json3",
    source: "http://bestiejs.github.io/json3/lib/json3.js"
  },
  {
    name: "promise.js",
    tags: ["async", "promise", "future", "deffered", "ajax"],
    description: "Lightweight promises (or futures, or deffered). Includes AJAX REST functions.",
    url: "https://github.com/stackp/promisejs",
    source: "https://raw.github.com/stackp/promisejs/master/promise.js"
  },
  /* gzipped file too big, 5.3 kB is not "micro"
  {
    name: "Moment.js",
    github: "timrwood/moment",
    tags: ["date"],
    description: "Parse, manipulate, and format dates.",
    url: "http://momentjs.com/",
    source: "https://raw.github.com/timrwood/moment/master/moment.js"
  },
  */
  {
    name: "swiftcore.js",
    tags: ["IOC", "dependency injection", "microkernel"],
    description: "A lightweight and flexible microkernel/IOC container which helps to build testable decoupled systems",
    url: "https://github.com/cburgdorf/swiftcore.js",
    source: "https://raw.github.com/cburgdorf/swiftcore.js/master/build/swiftcore.js"
  },
  {
    name: "mix.js",
    tags: ["mixin"],
    description: "Mixins with dependency resolution and private properties (without closures).",
    url: "https://github.com/bripkens/mix.js",
    source: "https://raw.github.com/bripkens/mix.js/master/mix.js"
  },
  /* versioned releases, removed
  {
    name: "inputControl",
    tags: ["inputControl", "chars", "numbers"],
    description: "InputControl is a powerfull script to controlling own input text to accept specific chars or numbers.",
    url: "https://github.com/metalipower/inputControl",
    // version is current as of 18-JUN-2013, 1 year old
    source: "https://raw.github.com/metalipower/inputControl/master/inputControl-1.0.js"
  },
  */
  {
    name: "cookie.js",
    tags: ["cookie.js", "cookies", "storage"],
    description: "A small library that makes setting, getting and removing cookies really easy.",
    url: "https://github.com/js-coder/cookie.js",
    source: "https://raw.github.com/js-coder/cookie.js/gh-pages/cookie.js"
  },
  {
    name: "an.hour.ago",
    tags: ["dates", "times", "language", "sugar"],
    description: "DSL for expressing and comparing dates and times",
    url: "https://bitbucket.org/davidchambers/an.hour.ago",
    source: "https://bitbucket.org/davidchambers/an.hour.ago/raw/default/an.hour.ago.js"
  },
  {
    name: "JSDeferred",
    tags: ["defered", "asynchronous", "callbacks"],
    description: "Standalone and Compact asynchronous library in JavaScript.",
    url: "http://cho45.stfuawsc.com/jsdeferred/",
    source: "https://raw.github.com/cho45/jsdeferred/master/jsdeferred.js"
  },
  {
    name: "Riloadr",
    tags: ["image", "images", "responsive", "loader"],
    description: "A cross-browser framework-independent responsive images loader. jQuery version available.",
    url: "https://github.com/tubalmartin/riloadr",
    source: "https://raw.github.com/tubalmartin/riloadr/master/riloadr.js"
  },
  {
    name: "Plates",
    tags: ["templating"],
    description: "Plates (short for templates) binds data to markup. Plates has NO special syntax. It works in the browser and in Node.js.",
    url: "https://github.com/flatiron/plates",
    source: "https://raw.github.com/flatiron/plates/master/lib/plates.js"
  },
  {
    name: "Nonsense",
    tags: ["data"],
    description: "Generate repeatable random data",
    url: "https://github.com/jocafa/Nonsense",
    source: "https://raw.github.com/jocafa/Nonsense/master/Nonsense.js"
  },
  {
    name: "Dijon",
    tags: ["IOC", "dependency injection"],
    description: "An IOC/DI framework in Javascript, inspired by Robotlegs and Swiftsuspenders",
    url: "https://github.com/creynders/dijon",
    source: "https://raw.github.com/creynders/dijon/master/dist/dijon.js"
  },
  {
    name: "ua.js",
    tags: ["feature"],
    description: "A very small user-agent (browser) and device detection library.",
    url: "https://github.com/g13n/ua.js",
    source: "https://raw.github.com/g13n/ua.js/master/src/ua.js"
  },
  {
    name: "microtext.js",
    tags: ["text utility"],
    description: "A JavaScript utility for processing text.",
    url: "https://github.com/rodrigoalvesvieira/microtext.js/",
    source: "https://raw.github.com/rodrigoalvesvieira/microtext.js/master/microtext.js"
  },
  {
    name: "lostorage.js",
    tags: ["storage", "localStorage", "sessionStorage"],
    description: "Client-side storage the way it should be - using the HTML5 localStorage API. lostorage.js allows you to save any kind of data.",
    url: "https://github.com/js-coder/lostorage.js",
    source: "https://raw.github.com/js-coder/loStorage.js/master/src/loStorage.js"
  },
  {
    name: "guggenheim.js",
    tags: ["gallery", "plugin", "animation"],
    description: "A framework agnostic, animated, gallery plugin",
    url: "https://github.com/OiNutter/guggenheim.js",
    source: "https://raw.github.com/OiNutter/guggenheim.js/master/src/guggenheim.js"
  },
  {
    name: "jvent.js",
    github: "pazguille/jvent",
    tags: ["events"],
    description: "Event Emitter Class for the browser based on NodeJS EventEmitter",
    url: "https://github.com/pazguille/jvent",
    source: "https://raw.github.com/pazguille/jvent/master/standalone/jvent.js"
  },
  {
    name: "fader.js",
    github: "lukelex/fader.js",
    url: "http://lukelex.github.io/fader.js/",
    tags: ["animation"],
    description: "A micro library to fade elements in and out.",
    source: "https://raw.github.com/lukelex/fader.js/master/fader.js"
  },
  {
    name: "TemporizedSlider.js",
    github: "lukelex/TemporizedSlider.js",
    url: "http://lukelex.github.io/TemporizedSlider.js",
    tags: ["animation", "events"],
    description: "A micro library that implements a customizable temporized image slider, with custom text and title for each one.",
    source: "https://raw.github.com/lukelex/TemporizedSlider.js/master/temporized_slider.js"
  },
  {
    name: "hypo",
    url: "https://github.com/shiftyp/hypo",
    tags: ["dependency injection", "IOC"],
    description: "A micro dependency injection framework inspired by Spring. Simple and to the point.",
    source: "https://raw.github.com/shiftyp/hypo/master/dist/hypo.src.js"
  },
  {
    name: "pubsub.js",
    tags: ["events", "pubsub", "publish", "subscribe", "node", "rhino", "amd", "commonjs", "titanium"],
    description: "A tiny, optimized, tested, standalone and robust pubsub implementation supporting different javascript environments",
    url: "https://github.com/federico-lox/pubsub.js",
    source: "https://raw.github.com/federico-lox/pubsub.js/master/src/pubsub.js"
  },
  {
    name: "Pjs",
    github: "jayferd/pjs",
    url: "https://github.com/jayferd/pjs",
    tags: ["class", "inheritance"],
    description: "A teensy class system. It's just prototypes, but without the nasty parts.",
    source: "https://raw.github.com/jayferd/pjs/master/src/p.js"
  },
  {
    name: "l.js",
    tags: ["loader"],
    description: "Another Tiny js/css loader supporting aliases, ordered and parallel loading, callbacks ... ",
    url: "http://malko.github.io/l.js/",
    source: "https://raw.github.com/malko/l.js/master/l.js"
  },
  {
    name: "D.js",
    tags: ["Promises","async","promises/A+"],
    description: "A tiny implementation of the Promises/A+ spec for Node.js and the browser, with some extensions to the spec ",
    url: "http://malko.github.io/D.js/",
    source: "https://raw.github.com/malko/D.js/master/lib/D.js"
  },
  {
    name: "es5-class",
    tags: ["class", "inheritance"],
    description: "Native prototypal inheritance for Node.js and ES5-enabled Browsers",
    url: "https://github.com/bfil/es5-class",
    source: "https://raw.github.com/bfil/es5-class/master/class.js"
  },
  {
    name: "Mousetrap",
    tags: ["events"],
    description: "A simple library for handling keyboard shortcuts in Javascript.",
    url: "http://craig.is/killing/mice",
    source: "https://raw.github.com/ccampbell/mousetrap/master/mousetrap.js"
  },
  {
    name: "PersonaJS",
    tags: ["authentication"],
    description: "Implement authentication using Mozilla Persona in your web application.",
    url: "https://github.com/lloyd/persona.js",
    source: "https://raw.github.com/lloyd/persona.js/master/persona.js"
  },
  {
    name: "Driftwood",
    tags: ["logging", "error", "exception", "log"],
    description: "A simple library for logging and exception tracking in Javascript.",
    url: "https://github.com/mattkanwisher/driftwood.js",
    source: "https://raw.github.com/mattkanwisher/driftwood.js/master/driftwood.js"
  },
  {
    name: "progress.js",
    tags: ["progress", "bar", "progressbar"],
    description: "A (animated) javascript progress bar without dependencies.",
    url: "https://github.com/mdix/progress.js",
    source: "https://raw.github.com/mdix/progress.js/master/progress.js"
  },
  {
    name: "jph.js",
    tags: ["jsonp", "network", "json", "manager", "loader"],
    description: "A JS module for managing many asynchronous and synchronous JSONP requests, responses, timeouts and errors.",
    url: "https://github.com/nokia-entertainment/JSONPHandler",
    source: "https://raw.github.com/nokia-entertainment/JSONPHandler/master/jph.js"
  },
  {
    name: "shotgun.js",
    tags: ["shotgun", "events", "error", "observer", "pubsub", "publish", "subscribe", "node", "unsubscribe"],
    description: "Nestable custom events, trappable internal events, functional try/catch abstraction, unsubscribable unnamed functions.",
    url: "http://github.com/jgnewman/shotgun",
    source: "https://raw.github.com/jgnewman/shotgun/master/shotgun.js"
  },
  {
    name: "Hexy.js",
    tags: ["color"],
    description: "Converts HEX colors to RGB values and vice versa in various output formats.",
    url: "http://github.com/steelsojka/Hexy.js",
    source: "https://raw.github.com/steelsojka/Hexy.js/master/src/Hexy.js"
  },
  {
    name: "onDomReady",
    tags: ["dom", "event", "ready", "load"],
    description: "Initialize your code when the DOM is ready. Based on jQuery's ready() method. AMD compatible.",
    url: "https://github.com/tubalmartin/ondomready",
    source: "https://raw.github.com/tubalmartin/ondomready/master/ondomready.js"
  },
  {
    name: "t.js",
    tags: ["templating"],
    description: "A tiny javascript templating framework in ~400 bytes gzipped.",
    url: "https://github.com/jasonmoo/t.js",
    source: "https://raw.github.com/jasonmoo/t.js/master/t.js"
  },
  {
    name: "statelet",
    tags: ["events"],
    description: "Little state objects",
    url: "https://github.com/joshwnj/statelet",
    source: "https://raw.github.com/joshwnj/statelet/master/statelet.js"
  },
  {
    name: "delayed",
    tags: ["async", "timer", "defer", "events"],
    description: "A collection of helper functions for your functions, using `setTimeout()` to delay and defer.",
    url: "https://github.com/rvagg/delayed",
    source: "https://raw.github.com/rvagg/delayed/master/delayed.js"
  },
  {
    name: "BigScreen",
    github: "bdougherty/BigScreen",
    tags: ["browser", "canvas"],
    description: "BigScreen is a simple library for using the JavaScript Full Screen API.",
    url: "http://brad.is/coding/BigScreen/",
    source: "https://raw.github.com/bdougherty/BigScreen/master/bigscreen.js"
  },
  {
    name: "string.js",
    tags: ["string", "language"],
    description: "string.js is a lightweight (< 4 kb minified and gzipped) JavaScript library for the browser or for Node.js that provides extra String methods.",
    url: "http://stringjs.com",
    source: "https://raw.github.com/jprichardson/string.js/master/lib/string.js"
  },
  {
    name: "Airwaves",
    tags: ["pubsub", "publish", "subscribe", "broadcast", "message"],
    description: "Lightweight pub/sub for any JavaScript environment",
    url: "https://github.com/davidchambers/airwaves",
    source: "https://raw.github.com/davidchambers/airwaves/master/lib/airwaves.js"
  },
  {
    name: "Stately.js",
    tags: ["automata", "finite", "fsm", "machine", "state"],
    description: "Stately.js is a JavaScript based finite-state machine (FSM) engine for Node.js and the browser.",
    url: "https://github.com/fschaefer/Stately.js",
    source: "https://raw.github.com/fschaefer/Stately.js/master/Stately.js"
  },
  {
    name: "mmd.js",
    github: "gmac/micro-module-definition",
    tags: ["module", "ioc", "di", "injection", "dependency", "framework"],
    description: "A tiny synchronous module definition and dependency management framework.",
    url: "https://github.com/gmac/micro-module-definition",
    source: "https://raw.github.com/gmac/micro-module-definition/master/mmd.js"
  },
  {
    name: "Hammer.js",
    github: "EightMedia/hammer.js",
    tags: ["events", "mobile", "touch", "multitouch"],
    description: "A tiny javascript library that can be used to control gestures on touch devices.",
    url: "http://eightmedia.github.io/hammer.js/",
    source: "https://raw.github.com/EightMedia/hammer.js/master/dist/hammer.js"
  },
  {
    name: "Probability.js",
    tags: ["math", "mathematics", "probability", "random", "statistics"],
    description: "Probability.js makes it easy to call JavaScript functions by probability in Node.js and the browser.",
    url: "https://github.com/fschaefer/Probability.js",
    source: "https://raw.github.com/fschaefer/Probability.js/master/Probability.js"
  },
  {
    name: "Timer.js",
    tags: ["interval", "timeout", "timer", "periodic"],
    description: "Timer.js is a periodic timer for Node.js and the browser.",
    url: "https://github.com/fschaefer/Timer.js",
    source: "https://raw.github.com/fschaefer/Timer.js/master/Timer.js"
  },
  /* gzipped file too big, 10.5 kB is not "micro"
  {
    name: "Craft.js",
    tags: ["framework", "base", "dom", "events", "ajax", "polyfill", "functional"],
    description: "Craft.js is a small but powerful JavaScript framework that helps you to build web apps easily.",
    url: "http://craftjs.org",
    source: "https://raw.github.com/mlbli/craft/master/dist/craft.js"
  },
  */
  {
    name: "Mouse",
    tags: [ "mouse", "mousebind", "bind", "events", "input", "buttons", "mice" ],
    description: "A high quality library that treats the mouse as a first class object citizen.",
    url: "http://benvie.github.io/Mouse",
    source: "https://raw.github.com/Benvie/Mouse/master/Mouse.js"
  },
  {
    name: "Lambda.js",
    tags: ["lambda", "function", "expression", "anonymous", "literal", "functional"],
    description: "String based lambdas for Node.js and the browser, that allow strings such as 'x+1' and 'x -> x+1' to be used as functions.",
    url: "https://github.com/fschaefer/Lambda.js",
    source: "https://raw.github.com/fschaefer/Lambda.js/master/Lambda.js"
  },
  {
    name: "xxspubsub.js",
    tags: ["pubsub"],
    description: "Extra-extra-small publish/subscribe micro-library in JavaScript",
    url: "https://github.com/dciccale/xxspubsub",
    source: "https://raw.github.com/dciccale/xxspubsub/master/xxspubsub.js"
  },
  {
    name: "big.js",
    tags: ["big", "number", "bignumber", "bigdecimal", "biginteger", "arbitrary", "precision", "decimal", "arithmetic", "math"],
    description: "A small, fast, easy-to-use library for arbitrary-precision decimal arithmetic.",
    url: "https://github.com/MikeMcl/big.js/",
    source: "https://raw.github.com/MikeMcl/big.js/master/big.js"
  },
  {
    name: "PicoModal",
    github: "Nycto/PicoModal",
    tags: ["modal", "popup", "message"],
    description: "A self-contained modal popup library",
    url: "https://github.com/Nycto/PicoModal",
    source: "https://raw.github.com/Nycto/PicoModal/master/src/picoModal.js"
  },
  {
    name: "nwt",
    github: "nwtjs/nwt",
    tags: ["framework", "base", "dom", "webkit", "ajax", "events", "mobile", "animation", "transitions"],
    description: "Small JS framework that ships with ajax, anim, dom, and event methods. Several plugins available.",
    url: "http://nwtjs.org",
    source: "https://raw.github.com/nwtjs/nwt/master/nwt.js"
  },
  {
    name: "time.js",
    tags: ["time", "parse", "parsing", "format", "validate"],
    description: "Date-agnostic time parsing for node and the browser.",
    url: "http://github.com/zever/time/",
    source: "https://raw.github.com/zever/time/master/time.js"
  },
  {
    name: "MissMatch",
    github: "pb82/MissMatch",
    tags: ["pattern", "matching", "functional", "object", "json", "query", "decompose"],
    description: "Pattern matching (like in Haskell or Scala) for JavaScript.",
    url: "https://github.com/pb82/MissMatch",
    source: "https://raw.github.com/pb82/MissMatch/master/lib/MissMatch.js"
  },
  {
    name: "Rainbow",
    tags: ["dom", "syntax", "code", "highlighter"],
    description: "Simple, extendable code syntax highlighting library.",
    url: "http://craig.is/making/rainbows",
    source: "https://raw.github.com/ccampbell/rainbow/master/js/rainbow.js"
  },
  {
    name: "switcher",
    tags: ["switch", "regexp"],
    description: "Function to provide a similar syntax to a switch statement but with regex as cases.",
    url: "https://github.com/EarMaster/switcher",
    source: "https://raw.github.com/EarMaster/switcher/master/switcher.js"
  },
  {
    name: "ajax",
    tags: ["ajax", "jquery"],
    description: "Standalone AJAX library inspired by jQuery/zepto",
    url: "https://github.com/ForbesLindesay/ajax",
    source: "https://raw.github.com/ForbesLindesay/ajax/master/index.js"
  },
  {
    name: "parsy",
    tags: ["nodejs", "options", "parser"],
    description: "Tiny command line options parser for node.js in CoffeeScript",
    url: "https://github.com/dciccale/parsy",
    source: "https://raw.github.com/dciccale/parsy/master/lib/parsy.js"
  },
  {
    name: "Gator",
    tags: ["dom", "events", "delegation"],
    description: "Simple event delegation library",
    url: "http://craig.is/riding/gators",
    source: "https://raw.github.com/ccampbell/gator/master/gator.js"
  },
  {
    name: "ioc.js",
    github: "tgriesser/ioc.js",
    tags: ["ioc", "service locator"],
    description: "A small IoC service locator container.",
    url: "https://github.com/tgriesser/ioc.js",
    source: "https://raw.github.com/tgriesser/ioc.js/master/ioc.js"
  },
  {
    name: "keymage",
    tags: ["events"],
    description: "Keyboard shortcuts handling with support for key sequences.",
    url: "https://github.com/piranha/keymage",
    source: "https://raw.github.com/piranha/keymage/master/keymage.js"
  },
  {
    name: "Chic",
    tags: ["class", "classes", "extend", "inheritance", "oop", "prototypal", "prototype"],
    description: "Chic is an extremely simple class-like interface to JavaScript prototypal inheritance.",
    url: "https://github.com/rowanmanning/chic",
    source: "https://raw.github.com/rowanmanning/chic/master/lib/chic.js"
  },
  {
    name: "Perms",
    tags: ["permissions", "perms", "ls", "chmod", "unix"],
    description: "Convert Unix style permissions to strings like ls (0755 => 'rwxr-xr-x')",
    url: "https://github.com/bahamas10/node-perms",
    source: "https://raw.github.com/bahamas10/node-perms/master/index.js"
  },
  {
    name: "autocast",
    tags: ["auto", "cast", "typecast", "convert"],
    description: "Easily and automatically cast common datatypes in JavaScript",
    url: "https://github.com/bahamas10/node-autocast",
    source: "https://raw.github.com/bahamas10/node-autocast/master/index.js"
  },
  {
    name: "range.js",
    tags: ["range"],
    description: "JavaScript's missing range function.",
    url: "https://github.com/js-coder/range.js",
    source: "https://raw.github.com/js-coder/range.js/master/lib/range.js"
  },
  {
    name: "Strukt",
    tags: ["utilities"],
    description: "Ruby inspired Structs for JavaScript.",
    url: "https://github.com/js-coder/Strukt",
    source: "https://raw.github.com/js-coder/Strukt/master/lib/strukt.js"
  },
  {
    name: "ipsum.js",
    tags: ["content", "text", "helper", "tool", "developer tool"],
    description: "Increases / decreases text quantity inside inline elements by pressing keys to check if the design can cope with different text length.",
    url: "https://github.com/mdix/ipsum.js",
    source: "https://raw.github.com/mdix/ipsum.js/master/ipsum.js"
  },
  {
    name: "TimeJump",
    tags: ["audio", "video", "podcast", "player"],
    description: "TimeJump adds deep-linking to HTML5 audio and video podcasts.",
    url: "https://github.com/davatron5000/TimeJump",
    source: "https://raw.github.com/davatron5000/TimeJump/master/timeJump.js"
  },
  {
    name: "preloadimages.js",
    tags: ["preload", "images", "asset"],
    description: "Preload images and callback when they are all ready",
    url: "https://github.com/bahamas10/preloadimages.js",
    source: "https://raw.github.com/bahamas10/preloadimages.js/master/preloadimages.js"
  },
  {
    name: "cm.js",
    tags: ["cookies"],
    description: "Manage cookies easily.",
    url: "https://github.com/timseverien/cm.js",
    source: "https://raw.github.com/timseverien/cm.js/master/cm.js"
  },
  {
    name: "Slow.js",
    github: "jakiestfu/Slow.js",
    tags: ["slow", "motion", "css", "css3"],
    description: "Make your CSS transitions go in slow motion (like Mac animations)",
    url: "https://github.com/jakiestfu/Slow.js",
    source: "https://raw.github.com/jakiestfu/Slow.js/master/slow.js"
  },
  {
    name: "Behave.js",
    github: "jakiestfu/Behave.js",
    tags: ["ide", "text", "editor", "behave", "behaviors", "code", "ace", "codemirror"],
    description: "A lightweight, cross browser library for adding IDE style behaviors to plain text areas",
    url: "https://github.com/jakiestfu/Behave.js",
    source: "https://raw.github.com/jakiestfu/Behave.js/master/behave.js"
  },
  {
    name: "Snap.js",
    github: "jakiestfu/Snap.js",
    tags: ["snap", "droor", "drawer", "shelf", "mobile", "ios", "reveal", "slide", "drag", "pane", "back", "panel", "side", "menu"],
    description: "A Library for creating beautiful mobile shelfs in Javascript",
    url: "https://github.com/jakiestfu/Snap.js",
    source: "https://raw.github.com/jakiestfu/Snap.js/master/snap.js"
  },
  {
    name: "enquire.js",
    github: "WickyNilliams/enquire.js",
    tags: ["matchMedia", "mediaquery", "mediaqueries", "css3", "css"],
    description: "Awesome Media Queries in JavaScript",
    url: "https://github.com/WickyNilliams/enquire.js",
    source: "https://raw.github.com/WickyNilliams/enquire.js/master/dist/enquire.js"
  },
  {
    name: "ki.js",
    tags: ["dom", "selectors", "traversing", "library"],
    description: "A super-tiny jQuery-like JavaScript library",
    url: "https://github.com/dciccale/ki.js",
    source: "https://raw.github.com/dciccale/ki.js/master/ki.js"
  },
  {
    name: "Anim",
    tags: ["css", "animation"],
    description: "A bare bones animation library",
    url: "https://github.com/relay/anim",
    source: "https://raw.github.com/relay/anim/master/anim.js"
  },
  {
    name: "Relay",
    tags: ["dom", "library", "framework", "mvc", "traversing", "events", "pubsub", "base"],
    description: "A lightweight framework for building de-coupled apps",
    url: "https://github.com/relay/relay",
    source: "https://raw.github.com/relay/relay/master/relay-dev.js"
  },
  {
    name: "promiscuous",
    tags: ["promise", "deferred", "functional", "async", "future"],
    description: "A minimal and fast promise/deferred implementation, compatible with Promises/A+",
    url: "https://github.com/RubenVerborgh/promiscuous",
    source: "https://raw.github.com/RubenVerborgh/promiscuous/master/promiscuous.js"
  },
  {
    name: "BehaviorTree.js",
    tags: ["behavior trees", "ai", "behaviors", "games", "statemachine"],
    description: "A JavaScript implementation of Behavior Trees, useful when developing AI behaviors in games.",
    url: "https://github.com/Calamari/BehaviorTree.js",
    source: "https://raw.github.com/Calamari/BehaviorTree.js/master/btree-complete.js"
  },
  {
    name: "PinkySwear.js",
    tags: ["promises"],
    description: "A tiny implementation of the Promises/A+ specification.",
    url: "https://github.com/timjansen/pinkyswear.js",
    source: "https://raw.github.com/timjansen/PinkySwear.js/master/pinkyswear.js"
  },
  {
    name: "depot.js",
    tags: ["storage", "localStorage", "store"],
    description: "depot.js is a namespaced localStorage wrapper with a simple API.",
    url: "https://github.com/mkuklis/depot.js",
    source: "https://raw.github.com/mkuklis/depot.js/master/depot.js"
  },
  {
    name: "DCL.js",
    tags: ["class", "oop", "aop", "inheritance", "object", "compose"],
    description: "An elegant OOP with mixins + AOP for JavaScript",
    url: "http://www.dcljs.org/",
    source: "https://raw.github.com/uhop/dcl/master/dcl.js"
  },
  {
    name: "breakup.js",
    tags: ["enumeration", "setimmediate", "enumerate", "jquery", "yield"],
    description: "Yielding enumeration replacement functions for async.forEachSeries() and jQuery.each()",
    url: "https://github.com/nicjansma/breakup.js",
    source: "https://raw.github.com/nicjansma/breakup.js/master/lib/breakup.js"
  },
  {
    name: "Barman",
    tags: ["traits", "oop", "classes", "objects", "object composition"],
    description: "A small library to brew JavaScript objects.",
    url: "https://github.com/dfernandez79/barman",
    source: "https://raw.github.com/dfernandez79/barman/master/src/barman.js"
  },
  {
    name: "smoothScroll.js",
    tags: ["scroll", "smooth"],
    description: "A teeny tiny, ease-in-out, smooth scroll library with no dependency",
    url: "https://github.com/alicelieutier/smoothScroll",
    source: "https://raw.github.com/alicelieutier/smoothScroll/master/smoothscroll.js"
  },
  {
    name: "strftime",
    tags: ["strftime", "format", "date", "time"],
    description: "strftime for JavaScript. Works in Node and browsers.",
    url: "https://github.com/samsonjs/strftime",
    source: "https://raw.github.com/samsonjs/strftime/master/strftime.js"
  },
  {
    name: "format",
    tags: ["format", "printf", "sprintf", "vsprintf", "string"],
    description: "printf, sprintf, and vsprintf for JavaScript. Works in Node and browsers.",
    url: "https://github.com/samsonjs/format",
    source: "https://raw.github.com/samsonjs/format/master/format.js"
  },
  {
    name: "Proclaim",
    tags: ["assert", "test"],
    description: "A simple assertion library for server and client side JavaScript.",
    url: "https://github.com/rowanmanning/proclaim",
    source: "https://raw.github.com/rowanmanning/proclaim/master/lib/proclaim.js"
  },
  {
    name: "Intro.js",
    tags: ["intro", "introduction", "guide"],
    description: "A better way for new feature introduction and step-by-step users guide for your website and project.",
    url: "https://github.com/usablica/intro.js",
    source: "https://raw.github.com/usablica/intro.js/master/intro.js"
  },
  {
    name: "Upcast",
    tags: ["cast", "check", "type", "types"],
    description: "Upcast is a low-level JavaScript type checking and casting library.",
    url: "https://github.com/rowanmanning/upcast",
    source: "https://raw.github.com/rowanmanning/upcast/master/lib/upcast.js"
  },
  {
    name: "ColorConverter.js",
    github: "SimonWaldherr/ColorConverter.js",
    tags: ["color", "color manipulation"],
    description: "Convert between RGB, YUV, HSL, HSV, CMYK and HEX color defining with these JavaScript functions under MIT-License",
    url: "https://github.com/SimonWaldherr/ColorConverter.js",
    source: "https://raw.github.com/SimonWaldherr/ColorConverter.js/master/colorconverter.js"
  },
  {
    name: "CSSfilter.js",
    github: "SimonWaldherr/CSSfilter.js",
    tags: ["css", "css3", "filter"],
    description: "CSSfilter.js helps you, adding CSS filters to images (or other elements)",
    url: "https://github.com/SimonWaldherr/CSSfilter.js",
    source: "https://raw.github.com/SimonWaldherr/CSSfilter.js/master/cssfilter.js"
  },
  {
    name: "PullToRefresh",
    github: "SimonWaldherr/PullToRefresh",
    tags: ["webkit", "mobile", "scroll"],
    description: "A dependency-free PullToRefresh implementation",
    url: "https://github.com/SimonWaldherr/PullToRefresh",
    source: "https://raw.github.com/SimonWaldherr/PullToRefresh/master/ptr.js"
  },
  {
    name: "infinity.js",
    github: "SimonWaldherr/infinity.js",
    tags: ["ajax", "scroll"],
    description: "dependency-free infinite scrolling",
    url: "https://github.com/SimonWaldherr/infinity.js",
    source: "https://raw.github.com/SimonWaldherr/infinity.js/master/infinity.js"
  },
  {
    name: "ShuntingYard.js",
    tags: ["shunting yard", "algorithms", "math", "rpn", "reverse polish notation", "eval", "expression", "Dijkstra"],
    description: "Calculate math from user input without using eval with Dijkstra's shunting yard algorithm",
    url: "https://github.com/Calamari/shunting-yard.js",
    source: "https://raw.github.com/Calamari/shunting-yard.js/master/dist/shunting-yard.js"
  },
  {
    name: "Bespoke.js",
    tags: ["presentation", "slides", "deck", "css3"],
    description: "DIY presentation micro-framework, harnessing the power of CSS3 transitions.",
    url: "https://github.com/markdalgleish/bespoke.js",
    source: "https://raw.github.com/markdalgleish/bespoke.js/master/dist/bespoke.js"
  },
  {
    name: "usertiming.js",
    tags: ["usertiming", "user timing", "performance timeline", "window.performance.now", "mark", "measure"],
    description: "User Timing polyfill",
    url: "https://github.com/nicjansma/usertiming.js",
    source: "https://raw.github.com/nicjansma/usertiming.js/master/src/usertiming.js"
  },
  {
    name: "DOMaker",
    tags: ["dom", "template", "serialize", "dom-builder", "jsonml"],
    description: "Document Object Maker - Create your DOM from data, not strings.",
    url: "https://github.com/BlueJeansAndRain/scaffold",
    source: "https://raw.github.com/BlueJeansAndRain/scaffold/master/scaffold.js"
  },
  {
    name: "animx",
    tags: ["animation", "css3"],
    description: "Easily define CSS keyframes and animations during runtime",
    url: "https://github.com/bjorkstam/animx",
    source: "https://raw.github.com/bjorkstam/animx/master/animx.js"
  },
  {
    name: "LogJS",
    tags: ["logging", "CORS", "localStorage", "DOM"],
    description: "Lightweight, extendable JavaScript logging library.",
    url: "https://github.com/bfattori/LogJS",
    source: "https://raw.github.com/bfattori/LogJS/master/log.js"
  },
  {
    name: "StdClassJS",
    github: "BlueJeansAndRain/stdclassjs",
    tags: ["oop", "class", "extend", "mixin"],
    description: "A dead simple JavaScript inheritance implementation.",
    url: "https://github.com/BlueJeansAndRain/stdclassjs",
    source: "https://raw.github.com/BlueJeansAndRain/stdclassjs/master/stdclass.js"
  },
  {
    name: "keydrown",
    tags: ["games"],
    description: "A JavaScript key state handler for web apps",
    url: "https://github.com/jeremyckahn/keydrown",
    source: "https://raw.github.com/jeremyckahn/keydrown/master/dist/keydrown.min.js"
  },
  {
    name: "vivi.js",
    tags: ["animation", "animate", "css", "css3", "keyframe", "defined" ],
    description: "Tiny wrapper for CSS Defined Animations (@keyframes).",
    url: "https://github.com/musictheory/vivi.js",
    source: "https://raw.github.com/musictheory/vivi.js/master/src/vivi.js"
  },
  {
    name: "salt.js",
    tags: ["dom", "selectors", "traversing", "library"],
    description: "micro DOM selector library that maps queries to native get commands",
    url: "https://github.com/james2doyle/saltjs",
    source: "https://raw.github.com/james2doyle/saltjs/master/salt.js"
  },
  {
    name: "defineObject",
    tags: ["prototypes", "objects", "mixins"],
    description: "A bit of sugar for defining JavaScript Objects and their Prototypes.",
    url: "https://github.com/smelnikov/defineObject",
    source: "https://raw.github.com/smelnikov/defineObject/master/defineObject.js"
  },
  {
    name: "color.js",
    github: "brehaut/color-js",
    tags: ["color", "color manipulation"],
    description: "API for immutable color objects in RGB, HSV and HSL with optional alpha. Comprehensive CSS format parsing and output.",
    url: "https://github.com/brehaut/color-js/",
    source: "https://raw.github.com/brehaut/color-js/master/color.js"
  },
  {
    name: "ScriptInclude",
    tags: ["loader"],
    description: "Simple includes in the browser.",
    url: "https://github.com/EvanHahn/ScriptInclude",
    source: "https://raw.github.com/EvanHahn/ScriptInclude/master/include.js"
  },
  {
    name: "cssanimevent",
    github: "magnetikonline/cssanimevent",
    tags: ["animation", "css3", "events", "polyfill", "transitions"],
    description: "CSS3 animation and transition DOM event handler with a simple fallback pattern for unsupported browsers.",
    url: "https://github.com/magnetikonline/cssanimevent",
    source: "https://raw.github.com/magnetikonline/cssanimevent/master/cssanimevent.js"
  },
  {
    name: "ClassJS",
    tags: ["class", "inheritance", "namespace", "node"],
    description: "JavaScript classical inheritance for the browser and Node.js. Super methods and namespaces",
    url: "https://github.com/darlanalves/ClassJS",
    source: "https://raw.github.com/darlanalves/ClassJS/master/src/class/class.js"
  },
  {
    name: "Hamster.js",
    github: "monospaced/hamster.js",
    tags: ["mousewheel", "mouse", "wheel", "events"],
    description: "A standalone JavaScript library for cross-browser mouse wheel support.",
    url: "https://github.com/monospaced/hamster.js",
    source: "http://monospaced.github.io/hamster.js/hamster.js"
  },
  {
    name: "MinifiedJS",
    github: "timjansen/minified.js",
    tags: ["DOM manipulation", "animation", "cookies", "events", "HTTP requests"],
    description: "Minified.js is a client-side JavaScript library, comparable to jQuery and MooTools in scope. Its features include DOM manipulation, animation, events, cookies and HTTP requests",
    url: "http://minifiedjs.com/",
    source: "http://minifiedjs.com/download/minified-web-src.noie.js"
  },
  {
    name: "spin.js",
    tags: ["spinning", "indicator", "loading", "spinner"],
    description: "A spinning activity indicator. An animated CSS3 loading spinner.",
    url: "http://fgnass.github.io/spin.js/",
    source: "https://raw.github.com/fgnass/spin.js/gh-pages/dist/spin.js"
  },
  {
    name: "Graph",
    tags: ["traversing", "graph"],
    description: "Provides jQuery-like functionality for graph structures in JavaScript.",
    url: "https://github.com/ryansmith94/Graph",
    source: "https://raw.github.com/ryansmith94/Graph/master/src/core.js"
  },
  {
    name: "thenBy",
    github: "Teun/thenBy.js",
    tags: ["sorting", "sort", "arrays"],
    description: "Enable firstBy().thenBy().thenBy() sorting of arrays using the standard Array.sort",
    url: "https://github.com/Teun/thenBy.js",
    source: "https://raw.github.com/Teun/thenBy.js/master/thenBy.js",
    tinyminify: true
  },
  {
    name: "Scorebook",
    tags: ["cricket", "scoring"],
    description: "A JavaScript library for cricket scoring.",
    url: "https://github.com/ryansmith94/Scorebook",
    source: "https://raw.github.com/ryansmith94/Scorebook/master/src/core.js"
  },
  {
    name: "Pledges",
    tags: ["promise", "pledge"],
    description: "A JavaScript micro-library that provides promise functionality.",
    url: "https://github.com/ryansmith94/Pledges",
    source: "https://raw.github.com/ryansmith94/Pledges/master/src/core.js"
  },
  {
    name: "SVGEventListener",
    github: "madsgraphics/SVGEventListener",
    tags: ["svg", "events", "animation", "polyfill"],
    description: "A polyfill for animate events on SVG on non-supported browsers, like webkit engines",
    url: "https://github.com/madsgraphics/SVGEventListener",
    source: "https://raw.github.com/madsgraphics/SVGEventListener/master/SVGEventListener.js"
  },
  {
    name: "chronology.js",
    tags: ["undo", "redo", "history", "chronology"],
    description: "A micro javascript library for managing an undo/redo history.",
    url: "http://chronology.wout.co.uk",
    source: "https://raw.github.com/wout/chronology.js/master/chronology.js"
  },
  {
    name: "DoubleMetaphone",
    tags: ["phonetic", "metaphone", "codec", "sounds", "like"],
    description: "Phonetically encode w/ DoubleMetaphone algorithm ('Alexander' -> 'ALKS')",
    url: "https://github.com/hgoebl/doublemetaphone",
    source: "https://raw.github.com/hgoebl/doublemetaphone/master/doublemetaphone.js"
  },
  {
    name: "Catiline",
    tags: ["worker", "parallel"],
    description: "Web workers, but easy.",
    url: "http://catilinejs.com",
    source: "https://raw.github.com/calvinmetcalf/catiline/master/dist/catiline.js"
  },
  {
    name: "civem.js",
    tags: ["html5", "input", "validation"],
    description: "Custom error messages for HTML5 form validation.",
    url: "https://github.com/javanto/civem.js",
    source: "https://raw.github.com/javanto/civem.js/master/src/civem.js"
  },
  {
    name: "i18nText",
    tags: ["i18n"],
    description: "A JavaScript library for i18n text messages.",
    url: "https://bitbucket.org/vogdb/i18n-text",
    source: "https://bitbucket.org/vogdb/i18n-text/raw/master/dist/i18nText.js"
  },
  {
    name: "RaptorJS",
    tags: ["class", "inheritance", "extend", "amd", "prototype", "prototypal", "lazy"],
    description: "The core module of RaptorJS provides a lightweight module system that supports namespacing, AMD, class inheritance, mixins, enums and lazy initialization. Works in the browser and Node.js",
    url: "https://github.com/raptorjs/raptorjs",
    source: "http://raptorjs.org/dist/raptor.js"
  },
  {
    name: "Lie",
    tags: ["promise", "deferred","async"],
    description: "A very small library for promises",
    url: "https://github.com/calvinmetcalf/lie",
    source: "https://raw.github.com/calvinmetcalf/lie/master/dist/lie.js"
  },
  {
    name: "assure.js",
    tags: ["promises", "promise", "deferred", "deferreds", "aynchronous", "async"],
    description: "Promises/A+ micro library to help with asynchronous work flow.",
    url: "https://github.com/avoidwork/assure",
    source: "https://raw.github.com/avoidwork/assure/master/lib/assure.js"
  }
];
